|alpha|\ :sub:`n`.  But a grammar is a static description of a set

from nltk_lite.parse import cfg, chart
grammar = cfg.parse_cfg("""
S -> NP V NP
NP -> NP Sbar
Sbar -> NP V 
NP -> 'fish'
V -> 'fish'
""")

tokens = ["fish"] * 5
cp = chart.ChartParse(grammar, chart.TD_STRATEGY)
for tree in cp.get_parse_list(tokens):
    print tree

from nltk_lite.parse import cfg
grammar = cfg.parse_cfg("""
S -> NP VP
PP -> P NP
NP -> Det N | NP PP
VP -> V NP | VP PP
Det -> 'the'
N -> 'kids' | 'box' | 'floor'
V -> 'opened' 
P -> 'on' 
""")

tokens = ["the", "kids", "opened", "the", "box", "on", "the", "floor"]
tokens[2:3]

grammar.productions(rhs=tokens[2])

wfst0 = init_wfst(tokens, grammar)
display(wfst0, tokens)

wfst1 = complete_wfst(wfst0, tokens)
display(wfst1, tokens)

wfst1 = complete_wfst(wfst0, tokens, trace=True)

sent = list(tokenize.whitespace('old men and women'))
for tree in parser.get_parse_list(sent):
    print tree

parser = ChartParse(grammar, BU_STRATEGY, trace=2)
trees = parser.get_parse_list(sent)

for tree in treebank.parsed():
    for t in tree.subtrees(give):
        print_node(t, 72)

print grammar

from nltk_lite.parse import ViterbiParse
viterbi_parser = ViterbiParse(grammar)
print viterbi_parser.get_parse(['Jack', 'saw', 'the', 'telescope'])

sent = list(tokenize.whitespace('old men and women'))
print viterbi_parser.parse(sent)

viterbi_parser.trace(3)
tree = viterbi_parser.parse(sent)

print inside_parser.parse(sent)

for tree in inside_parser.get_parse_list(sent):
    print tree

inside_parser.trace(3)
trees = inside_parser.get_parse_list(sent)

from nltk_lite.corpora import treebank
from itertools import islice
productions = []
S = cfg.Nonterminal('S')
for tree in islice(treebank.parsed(),3):
     productions += tree.productions()
grammar = pcfg.induce(S, productions)
for production in grammar.productions()[:10]:
     print production

from nltk_lite.parse import bracket_parse
from nltk_lite.parse import treetransforms
treebank_string = """(S (NP-SBJ (NP (QP (IN at) (JJS least) (CD nine) (NNS tenths)) )
    (PP (IN of) (NP (DT the) (NNS students) ))) (VP (VBD passed)))"""
t = bracket_parse(treebank_string)
print t

treetransforms.collapseUnary(t, collapsePOS=True)
print t

treetransforms.chomskyNormalForm(t)
print t

