text = "doyouseethekittyseethedoggydoyoulikethekittylikethedoggy"
segs = "0000000000000000000000000000000000000000000000000000000"
segs = "0000000000000001000000000010000000000000000100000000000"
#segs = "0000100100000001001000000010000100010000000"
#segs = "0100100100100001001001000010100100010010000"

INF = 1000
from random import randint

def segment(text, segs):
    words = []
    last = 0
    for i in range(len(segs)):
        if segs[i] == '1':
            words.append(text[last:i+1])
            last = i+1
    words.append(text[last:])
    return words

def evaluate(text, segs):
    words = segment(text, segs)
    text_size = len(words)
    lexicon_size = len(' '.join(list(set(words))))
    return text_size + lexicon_size

# HILL-CLIMBING

def flip(segs, pos):
    return segs[:pos] + `1-int(segs[pos])` + segs[pos+1:]

def hill_climb(text, segs, iterations):
    for i in range(iterations):
        pos, best = 0, evaluate(text, segs)
        for i in range(len(segs)):
            score = evaluate(text, flip(segs, i))
            if score < best:
                pos, best = i, score
        if pos != 0:
            segs = flip(segs, pos)
            print evaluate(text, segs), segment(text, segs)
    return segs

# BACKTRACKING



# ANNEALING

def flip_n(segs, n):
    for i in range(n):
        segs = flip(segs, randint(0,len(segs)-1))
    return segs
    
def anneal(text, segs, iterations, rate):
    distance = float(len(segs))
    while distance > 0.5:
        best_segs, best = segs, evaluate(text, segs)
        for i in range(iterations):
            guess = flip_n(segs, int(round(distance)))
            score = evaluate(text, guess)
            if score < best:
                best = score
                best_segs = guess
                print score, segment(text, best_segs)
        segs = best_segs
        score = best
        distance = distance/rate
    return segs

#print evaluate(text, segs), segment(text, segs)
#segs = hill_climb(text, segs, 20)
#words = segment(text, segs)
#print words

segs = anneal(text, segs, 5000, 1.2)
words = segment(text, segs)
print words


