import re
legal_pos = set(['n', 'v.t.', 'v.i.', 'adj', 'det'])
pattern = re.compile(r"'font-size:11.0pt'>([a-z.]+)<")
document = open("dict.htm").read()
used_pos = set(re.findall(pattern, document))
illegal_pos = used_pos.difference(legal_pos)
print list(illegal_pos)

import re
document = open("dict.htm").read()
document = re.sub("[\r\n]", "", document)
word_pattern = re.compile(r">([\w]+)")
pron_pattern = re.compile(r"\[.*>([a-z:]+)<.*\]")
for entry in document.split("<p"):
    word_match = word_pattern.search(entry)
    pron_match = pron_pattern.search(entry)
    if word_match and pron_match:
        lex = word_match.group(1)
        pos = pron_match.group(1)
        print '"%s","%s"' % (lex, pos)

import csv
lexemes = []
defn_words = []
for row in csv.reader(open("dict.csv")):
    lexeme, pron, pos, defn = row
    lexemes.append(lexeme)
    defn_words += defn.split()
undefined = list(set(defn_words).difference(set(lexemes)))
undefined.sort()
print undefined

from nltk_lite.corpora import toolbox
lexicon = toolbox.parse_corpus('rotokas.dic')

lexicon[3][0] 

lexicon[3][0].tag

lexicon[3][0].text

print toolbox.to_sfm_string(lexicon[3])

[lexeme.text.lower() for lexeme in lexicon.findall('record/lx')]

import re
def cv(s):
    s = s.lower()
    s = re.sub(r'[^a-z]',     r'_', s)
    s = re.sub(r'[aeiou]',    r'V', s)
    s = re.sub(r'[^V_]',      r'C', s)
    return (s)

from nltk_lite.etree.ElementTree import SubElement
for entry in lexicon:
    for field in entry:
        if field.tag == 'lx':
            cv_field = SubElement(entry, 'cv')
            cv_field.text = cv(field.text)

print toolbox.to_sfm_string(lexicon[53])

retain = ('lx', 'ps', 'ge')
for entry in lexicon:
    entry[:] = [f for f in entry if f.tag in retain]
print toolbox.to_sfm_string(lexicon[53])

lexicon = toolbox.parse_corpus('rotokas.dic')
for entry in lexicon[70:80]:
    lx = entry.findtext('lx')
    ps = entry.findtext('ps')
    ge = entry.findtext('ge')
    print "%s (%s) '%s'" % (lx, ps, ge)

html = "<table>\n"
for entry in lexicon[70:80]:
    lx = entry.findtext('lx')
    ps = entry.findtext('ps')
    ge = entry.findtext('ge')
    html += "  <tr><td>%s</td><td>%s</td><td>%s</td></tr>\n" % (lx, ps, ge)
html += "</table>"
print html

import sys
from nltk_lite.etree.ElementTree import ElementTree
tree = ElementTree(lexicon[3])
tree.write(sys.stdout)

lexgloss = {}
for entry in lexicon:
    lx = entry.findtext('lx')
    if lx and entry.findtext('ps')[0] == 'V':
        lexgloss[lx] = entry.findtext('ge')

for lex in lexgloss:
    if lex+lex in lexgloss:
        print "%s (%s); %s (%s)" %\
            (lex, lexgloss[lex], lex+lex, lexgloss[lex+lex])

from nltk_lite.tokenize import regexp
from nltk_lite.probability import FreqDist
fd = FreqDist()
lexemes = [lexeme.text.lower() for lexeme in lexicon.findall('record/lx')]
for lex in lexemes:
    for syl in regexp(lex, pattern=r'[^aeiou][aeiou]'):
        fd.inc(syl)

for vowel in 'aeiou':
    for cons in 'ptkvsr':
         print '%s%s:%4d ' % (cons, vowel, fd.count(cons+vowel)),
    print

def num_cons(word):
    template = cv(word)
    return template.count('C')

def is_vowel(char):
    return (char in 'aeiou')

for entry in lexicon:
    lx = entry.findtext('lx')
    if lx:
        ps = entry.findtext('ps')
        if num_cons(lx) == 3 and ps[0] == 'V'\
          and is_vowel(lx[-1]) and is_vowel(lx[-2]):
            ge = entry.findtext('ge')
            print "%s (%s) '%s'" % (lx, ps, ge)



from nltk_lite.utilities import MinimalSet
pos = 1
ms = MinimalSet((lex[:pos] + '_' + lex[pos+1:], lex[pos], lex)
                for lex in lexemes if len(lex) == 4)

for context in ms.contexts(3):
    print context + ':',
    for target in ms.targets():
        print "%-4s" % ms.display(context, target, "-"),
    print

entries = [(e.findtext('lx'), e.findtext('ps'), e.findtext('ge'))
              for e in lexicon
              if e.findtext('lx') and e.findtext('ps') and e.findtext('ge')]
ms = MinimalSet((lx, ps[0], "%s (%s)" % (ps[0], ge))
         for (lx, ps, ge) in entries)
for context in ms.contexts()[:10]:
    print "%10s:" % context, "; ".join(ms.display_all(context))

from nltk_lite.utilities import MinimalSet
ms = MinimalSet()
for entry in ppattach.dictionary('training'):
    target  = entry['attachment']
    context = (entry['noun1'], entry['prep'], entry['noun2'])
    display = (target, entry['verb'])
    ms.add(context, target, display)
for context in ms.contexts():
    print context, ms.display_all(context)

group = {
    ' ':0,                     # blank (for short words)
    'p':1,  'b':1,  'v':1,     # labials
    't':2,  'd':2,  's':2,     # alveolars
    'l':3,  'r':3,             # sonorant consonants
    'i':4,  'e':4,             # high front vowels
    'u':5,  'o':5,             # high back vowels
    'a':6                      # low vowels
}

def soundex(word):
    if len(word) == 0: return word  # sanity check
    word += '    '                  # ensure word long enough
    c0 = word[0].upper()
    c1 = group[word[1]]
    cons = filter(lambda x: x in 'pbvtdslr ', word[2:])
    c2 = group[cons[0]]
    c3 = group[cons[1]]
    return "%s%d%d%d" % (c0, c1, c2, c3)
print soundex('kalosavi')

print soundex('ti')

soundex_idx = {}
for lex in lexemes:
    code = soundex(lex)
    if code not in soundex_idx:
        soundex_idx[code] = set()
    soundex_idx[code].add(lex)

from nltk_lite.utilities import edit_dist
def fuzzy_spell(target):
    scored_candidates = []
    code = soundex(target)
    for word in soundex_idx[code]:
        dist = edit_dist(word, target)
        scored_candidates.append((dist, word))
    scored_candidates.sort()
    return [w for (d,w) in scored_candidates[:10]]

fuzzy_spell('kokopouto')

fuzzy_spell('kogou')

words = list(set(lexemes))
words = words[:200]
words = [w for w in words if 3 <= len(w) <= 12]

from nltk_lite.misc.wordfinder import wordfinder
grid, used = wordfinder(words)
for i in range(len(grid)):
    for j in range(len(grid[i])):
        print grid[i][j],
    print

for i in range(len(used)):
    print "%-12s" % used[i],
    if float(i+1)%5 == 0: print

sum(len(entry) for entry in lexicon) / len(lexicon)

fd = FreqDist()
for entry in lexicon:
    for field in entry:
        fd.inc(field.tag)
fd.sorted_samples()[:10]

fd = FreqDist()
for entry in lexicon:
    fd.inc(':'.join(field.tag for field in entry))
top_ten = fd.sorted_samples()[:10]
print '\n'.join(top_ten)

fd = FreqDist()
for entry in lexicon:
    previous = "0"
    for field in entry:
        current = field.tag
        fd.inc("%s->%s" % (previous, current))
        previous = current
fd.sorted_samples()[:10]

from nltk_lite import parse
grammar = parse.cfg.parse_cfg('''
  S -> Head "ps" Glosses Comment "dt" Examples
  Head -> "lx" | "lx" "rt"
  Glosses -> Gloss Glosses
  Glosses ->
  Gloss -> "ge" | "gp"
  Examples -> Example Examples
  Examples ->
  Example -> "ex" "xp" "xe"
  Comment -> "cmt"
  Comment ->
  ''')
rd_parser = parse.RecursiveDescent(grammar)

for entry in lexicon[10:20]:
    marker_list = [field.tag for field in entry]
    if rd_parser.get_parse_list(marker_list):
        print "+", ':'.join(marker_list)
    else:
        print "-", ':'.join(marker_list)

fd = FreqDist()
from string import split
for entry in lexicon:
    date = entry.findtext('dt')
    if date:
        (day, month, year) = split(date, '/')
        fd.inc((month, year))
for time in fd.sorted_samples():
    print time[0], time[1], ':', fd.count(time)

month_index = {
    "Jan" : 1, "Feb" : 2,  "Mar" : 3,  "Apr" : 4,
    "May" : 5, "Jun" : 6,  "Jul" : 7,  "Aug" : 8,
    "Sep" : 9, "Oct" : 10, "Nov" : 11, "Dec" : 12
}
def time_cmp(a, b):
    a2 = a[1], month_index[a[0]]
    b2 = b[1], month_index[b[0]]
    return cmp(a2, b2)

times = fd.samples()
times.sort(cmp=time_cmp)
for time in times:
    print time[0], time[1], ':', '#' * (1 + fd.count(time)/10)

