from nltk_lite.parse import GrammarFile
from pprint import pprint
g = GrammarFile.read_file('feat0.cfg')

from nltk_lite import tokenize
sent = 'Kim likes children'
tokens = list(tokenize.whitespace(sent))
tokens 

cp = g.earley_parser(trace=10)
trees = cp.get_parse_list(tokens)

for tree in trees: print tree


from nltk_lite.featurestructure import *
fs1 = FeatureStructure(TENSE='past', NUM='sg') 
print fs1

fs1 = FeatureStructure(PER=3, NUM='pl', GND='fem')
print fs1['GND']

fs1['CASE'] = 'acc'



fs2 = FeatureStructure(POS='N', AGR=fs1)
print fs2

print fs2['AGR']

print fs2['AGR']['PER']

FeatureStructure.parse("[POS='N', AGR=[PER=3, NUM='pl', GND='fem']]")

person01 = FeatureStructure(name='Lee', telno='01 27 86 42 96', age=33)

fs=FeatureStructure.parse("""[NAME='Lee', ADDRESS=(1)[NUMBER=74, STREET='rue Pascal'], 
                              SPOUSE=[NAME='Kim', ADDRESS->(1)]]""")
print fs

fs1 = FeatureStructure.parse("[A='a', B=(1)[C='c'], D->(1), E->(1)]")

fs2 = FeatureStructure.parse("[A=(1)[], B=(2)[], C->(1), D->(2)]")

fs1 = FeatureStructure(NUMBER=74, STREET='rue Pascal')
fs2 = FeatureStructure(CITY='Paris')
print fs1.unify(fs2)

print fs2.unify(fs1)

fs0 = FeatureStructure(A='a')
fs1 = FeatureStructure(A='b')
fs2 = fs0.unify(fs1)
print fs2

fs0=FeatureStructure.parse("""[NAME=Lee, 
                               ADDRESS=[NUMBER=74, 
                                        STREET='rue Pascal'], 
                               SPOUSE= [NAME=Kim,
                                        ADDRESS=[NUMBER=74, 
                                                 STREET='rue Pascal']]]""")

fs1=FeatureStructure.parse("[SPOUSE = [ADDRESS = [CITY = Paris]]]")

fs2=FeatureStructure.parse("""[NAME=Lee, ADDRESS=(1)[NUMBER=74, STREET='rue Pascal'],
                               SPOUSE=[NAME=Kim, ADDRESS->(1)]]""")

fs1=FeatureStructure.parse("[ADDRESS1=[NUMBER=74, STREET='rue Pascal']]")
fs2=FeatureStructure.parse("[ADDRESS1=?x, ADDRESS2=?x]")
print fs2

print fs2.unify(fs1)

