%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%
%%  Copyright : TechBooks (c) 2003
%% 
%% Fonts used : Times, Formata, Universal Pi etc.
%%
%% normalsize -- 10.5/13
%% footnotesize -- 8.5/9.5
%% small -- 10/11
%% scriptsize -- 7/8
%% tiny -- 5/6
%% large -- 12/14
%% Large -- 14/18
%% LARGE -- 17/22
%% huge -- 20/25
%% Huge -- 25/30
%%
%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{linguistic}[2003/02/25 for Cambridge_v3.01 (c) 2003 TechBooks]
%
\newif\ifCUPmtlplainloaded
\newif\ifdraft
\newif\ifcontact
\newif\ifprinter
\newdimen\draftrule
\newdimen\trimrule
\draftrule0pt
\trimrule.1pt
\newif\ifcountempty
\global\countemptyfalse
\newif\ifnoquery
\global\noqueryfalse
\newif\iffinalpdf
\global\finalpdffalse
\newif\ifboxtext\global\boxtextfalse
\newif\ifseries\global\seriesfalse
%
\newif\ifcenterfoot
\global\centerfootfalse
%
\newif\ifbiblio
\global\bibliofalse
%
\newif\ifintro
\global\introfalse
%
\newif\iffrontmatter\frontmatterfalse
\newif\ifseriespage\seriespagefalse
\newif\iffiftynine\global\fiftyninefalse
\newif\iffigatend\figatendfalse
%
%
\newif\ifunnumsec
\global\unnumsecfalse
%
\newif\ifunnumsubsec
\global\unnumsubsecfalse
%
%
\newif\ifunnumsubsubsec
\global\unnumsubsubsecfalse
%
%
\newif\ifexample
\newif\ifunnumpara
\global\unnumparafalse
%
%
\newif\ifboxenv%
\global\boxenvfalse%
%
\newif\ifhang%
\global\hangfalse%
%
\newif\ifunnumsubpara
\global\unnumsubparafalse
%
\let\subsubparagraphmark\@gobble
%
%
\@twosidetrue\@mparswitchtrue\@twocolumnfalse
%
\DeclareOption{fiftynine}{\fiftyninetrue}
\DeclareOption{FM}{\frontmattertrue}
\DeclareOption{seriespage}{\seriespagetrue}
\DeclareOption{noquery}{\noquerytrue}
\DeclareOption{countempty}{\countemptytrue}
\DeclareOption{finalpdf}{\finalpdftrue}
\DeclareOption{grid}{\setlength\overfullrule{5pt}\draftrule.25pt\drafttrue\trimrule.1pt}
\DeclareOption{figatend}{\global\figatendtrue\gdef\FIGURES{EOB}}
\DeclareOption{final}{\setlength\overfullrule{0pt}}
\DeclareOption{contact}{\setlength\overfullrule{0pt}\contacttrue}
\DeclareOption{printer}{\setlength\overfullrule{0pt}\trimrule0pt\printertrue}
\ExecuteOptions{final}%,figatend}
\ProcessOptions
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Spreadout %%%%%%%%%%%%%%%%%%%%%%%%%
%
\def\@afterheading{%
  \@nobreakfalse
  \everypar{%
    \if@nobreak
      \@nobreakfalse
      \clubpenalty \@M
      \if@afterindent \else
        {\setbox\z@\lastbox}%
      \fi
    \else
      \clubpenalty \@clubpenalty
      \everypar{}%
    \fi}}
%
%
\let\sspreadout\relax
%
\def\spreadoutfactor{1}
%
\def\spreadout#1{%
  \gdef\temp{#1}\dimen0 = \spreadoutfactor pt
  \expandafter\dospreadout\temp\endmark}
%
\def\dospreadout{%
  \afterassignment\findospreadout
  \let\next= }
%
\def\findospreadout{%
   \ifx\next\endmark
      \let\nextaction = \relax
   \else
      \let\nextaction = \dospreadout
      \next
      \kern\dimen0
   \fi
   \nextaction}
%
\newcommand\contentsname{Contents}
\newcommand\listfigurename{List of Figures}
\newcommand\listtablename{List of Tables}
\newcommand\bibname{Bibliography}
\newcommand\indexname{Index}
\newcommand\figurename{}
\newcommand\tablename{Table}
\newcommand\partname{Part}
\newcommand\chaptername{\uppercase{Chapter}}
\newcommand\appendixname{Appendix}
%
\newcommand\today{\ifcase\month\or
  January\or February\or March\or April\or May\or June\or
  July\or August\or September\or October\or November\or December\fi
  \space\number\day, \number\year}
%
\newcount\minute
\newcount\hour
\def\currenttime{%
     \minute\time
     \hour\minute
     \divide\hour60
     \the\hour:\multiply\hour60\advance\minute-\hour\the\minute}
%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Boxes & Dimensions %%%%%%%%%%%%%%%%%%%%%
%
\def\jobtag{linguistic}
%
\newdimen\trimwidth
\newdimen\trimheight
\newdimen\typewidth
\newdimen\typeheight
%
\newdimen\tempdimen
\newdimen\normaltextheight
\newskip\normalbaselineskip
\newdimen\blindfoliodrop
%
\newdimen\enumdim
\newdimen\figheight
\newdimen\figwidth
\newdimen\tabledim
\newskip\tableleftskip
\newskip\tablerightskip
%
%\newdimen\mathindent
\newdimen\emathindent
\newdimen\bibindent
%
\newbox\tempbox
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% End Boxes & Dimensions %%%%%%%%%%%%%%%%%
%
\def\mdash{\unskip\ --\ \ignorespaces}
%
%
\newif\ifAplushead
\global\Aplusheadfalse
%
\newif\iffootnote
\global\footnotefalse
%
\newif\ifnotes
\global\notesfalse
%
\newif\ifindex
\global\indexfalse
%
\newif\ifptyext
\global\ptyextfalse
%
\newif\ifextract
\global\extractfalse
%
\newif\iflist
\global\listfalse
%
\newif\ifdisplay
\global\displayfalse
%
\newif\ifextsource%
\global\extsourcefalse%
%
%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Fonts %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%% headings
\def\rhfont{\fontsize{11}{11}\selectfont\itshape}
\def\rhlfont{\fontsize{9}{9}\selectfont\scshape\spaceskip3pt}%
\def\rhrfont{\fontfamily{\sfdefault}\fontsize{8}{8}\selectfont}%\leftskip1pt plus 1fill\rightskip.1pt plus 1fill}
\def\foliofont{\fontsize{9}{9}\selectfont}
\def\dropfoliofont{\fontsize{9}{9}\selectfont}
%% part
\def\PNfont{\fontsize{14}{14}\selectfont\sctrkshape\leftskip0pt plus1fill\rightskip\leftskip}
\def\PTfont{\fontsize{18}{22}\selectfont\itshape\leftskip0pt plus1fill\rightskip0pt plus1fill}
%% chapter
\def\CNfont{\fontfamily{\sfdefault}\fontsize{18}{20}\selectfont\leftskip0pt\rightskip0pt plus1fill\mathversion{normal}}%12/12
\def\CTfont{\fontfamily{\sfdefault}\fontsize{18}{20}\selectfont\leftskip0pt\rightskip0pt plus1fill\mathversion{normal}}
\def\CSTfont{\fontsize{14}{17}\selectfont\leftskip0pt plus1fill\rightskip0pt plus1fill\mathversion{normal}}
\def\UnnumCTfont{\fontfamily{\sfdefault}\fontsize{18}{20}\selectfont\leftskip4pc\rightskip0pt plus1fill\mathversion{normal}}
\def\authorfont{\fontsize{12}{14}\itshape\selectfont\leftskip-3pt plus1fill\rightskip0pt plus1fill}
\def\affilfont{\fontsize{10}{12}\selectfont}%
%%
\def\sectionnumfont{\fontfamily{\sfdefault}\fontsize{11}{14}\selectfont\medseries}
\def\subsectionnumfont{\fontfamily{\sfdefault}\fontsize{10}{13}\selectfont\medseries}
\def\subsubsectionnumfont{\fontfamily{\sfdefault}\fontsize{10}{13}\selectfont\medseries\mathversion{sfnormal}}
%% section
\def\sectionfont{\fontfamily{\sfdefault}\fontsize{11}{14}\selectfont\medseries\leftskip1pt\rightskip0pt plus1fill}
\def\subsectionfont{\fontfamily{\sfdefault}\fontsize{10}{13}\selectfont\medseries\leftskip1pt\rightskip0pt}
\def\subsubsectionfont{\fontfamily{\sfdefault}\fontsize{10}{13}\selectfont\medseries\leftskip48pt\rightskip0pc plus1fill}
\def\paragraphfont{\fontfamily{\sfdefault}\fontsize{10}{13}\selectfont\itshape\leftskip48pt\rightskip0pt plus1fill}
%%
\def\subparagraphfont{\fontsize{10}{13}\selectfont\bfseries\raggedright\mathversion{bold}}%
\def\subsubparagraphfont{}%
\def\Aplusheadfont{\fontsize{16}{18}\selectfont\bfseries\raggedright\mathversion{bold}}
\def\oneasectionfont{\fontsize{9}{12}\selectfont\raggedright}
%
\def\boxsectionfont{\fontfamily{\sfdefault}\fontsize{10}{12}\selectfont\medseries\leftskip-4pc\rightskip0pt plus1fill\mathversion{bold}}
\def\boxsubsectionfont{\reset@font\fontfamily{\sfdefault}\fontsize{9.5}{12}\selectfont\leftskip-4pc\rightskip0pt plus1fill\mathversion{normal}}
%
\def\Nheadfont{\fontsize{9}{10.5}\selectfont\scshape\rightskip0pt plus1fill}%\capstrkshape
\def\Xheadfont{\fontsize{10}{11}\selectfont\capstrkshape\hsize\textwidth\leftskip1pt plus1fill\rightskip0pt plus1fill\spaceskip3pt}%\capstrkshape
\def\Yheadfont{\fontsize{10}{11}\selectfont\sctrkshape\spaceskip3pt\leftskip-10pt plus1fill\rightskip0pt plus1fill\mathversion{normal}}%\scshape\def\spreadoutfactor{1}
\def\Zheadfont{\fontsize{10}{11}\selectfont\leftskip0pt plus1fill\rightskip0pt plus1fill\mathversion{normal}}
\def\ZZheadfont{\fontsize{9}{10.5}\selectfont\itshape\rightskip.5pc\mathversion{normal}}
%
%% figure
\def\figcaptionfont{\fontsize{9}{12}\selectfont\itshape\leftskip4pc\rightskip0pt plus1fill}
\def\figcaptionnumfont{\reset@font\fontsize{9}{12}\selectfont}
%% table
%
\def\tablefont{\iffootnote\fontsize{8.5}{9.5}\selectfont\leftskip\tableleftskip\rightskip\tablerightskip\mathversion{normal}\else\ifexample\fontsize{9.5}{12}\selectfont\leftskip\tableleftskip\rightskip\tablerightskip\mathversion{normal}\else\ifboxenv\fontsize{9.5}{12}\selectfont\leftskip\tableleftskip\rightskip\tablerightskip\mathversion{normal}\else\ifdisplay\fontsize{11}{12.5}\selectfont\leftskip\tableleftskip\rightskip\tablerightskip\mathversion{normal}\else\fontsize{10}{12}\selectfont\leftskip\tableleftskip\rightskip\tablerightskip\mathversion{normal}\fi\fi\fi\fi}% use plus 1fill if needed
%
\def\tablecaptionfont{\fontsize{10.5}{13}\itshape\selectfont\leftskip\tableleftskip\rightskip\tablerightskip}% 
\def\longtablecaptionfont{\fontsize{10.5}{13}\selectfont\itshape\raggedright}%
\def\tablecaptionnumfont{\reset@font\fontsize{10.5}{13}\selectfont}% 
\def\TCHfont{\ifdisplay\fontsize{9}{10}\selectfont\selectfont\else\fontsize{10}{12}\selectfont\fi}%
\def\TSCHfont{\fontsize{9}{10}\selectfont}%
\def\tabnotefont{\fontsize{10}{12}\selectfont\leftskip\tabnoteleftskip\rightskip\tabnoterightskip}% use plus 1fill if needed
%% BM
\def\indexfont{\fontsize{8}{10}\selectfont\raggedright}
\def\bibliofont{\fontsize{9}{11}\selectfont}
%
\def\phon#1{\fontfamily{TPIPA}\selectfont#1}
\def\phonAlt#1{\fontfamily{TPAlt}\selectfont#1}
%
\def\grek#1{\fontfamily{MathematicalPiOne}\selectfont#1}
\def\ralpha{{\grek\char'141}}
\def\rbeta{{\grek\char'142}}
\def\rdelta{{\grek\char'144}}
\def\repsilon{{\grek\char'302}}
%%%
%
\def\listfont{}
\def\listdevicefont{}
\def\extractfont{\ifnotes\fontsize{8.5}{9.5}\selectfont\leftskip4pc\advance\leftskip-\enumdim\else\iffootnote\fontsize{8}{9}\selectfont\leftskip\@footmax\else\fontsize{9.5}{12}\selectfont\leftskip4pc\fi\fi}
%
%\def\textbreak#1{\par\noindent\leavevmode\raise1.3pt\hbox to \textwidth{\hfill$#1$\hfill}\par\noindent\ignorespaces}
\def\textbreak{\par\noindent\vskip\baselineskip\par\noindent\ignorespaces}
\def\stanzasep#1{\par\noindent\leavevmode\raise1.3pt\hbox{$#1$}\par\noindent\ignorespaces}
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%% From XMT %%%%%%%%%%%%%%%%%%%%%%%%
%
%%%%%%%%%%%%%%%%%%%%%%%% Fonts %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
\def\@viiipt{8}
\def\@viiihpt{8.5}
\def\@ixpt{9}
\def\@xhpt{10.5}
\def\@xpt{10}
\def\@xipt{11}
\def\@xvpt{15}
\def\@xviiipt{18}
\def\@xxivpt{24}
%
\normalbaselineskip13pt
%
\renewcommand\normalsize{%
   \@setfontsize\normalsize\@xhpt{13}
   \abovedisplayskip 6.5\p@ \@plus2\p@% \@minus.5\p@
   \abovedisplayshortskip \abovedisplayskip
   \belowdisplayshortskip \abovedisplayskip
   \belowdisplayskip \abovedisplayskip
   \let\@listi\@listI}
\def\biggg#1{{\hbox{$\left#1\vbox to20.5\p@{}\right.\n@space$}}}
\def\Biggg#1{{\hbox{$\left#1\vbox to23.5\p@{}\right.\n@space$}}}
\normalsize
%
\newcommand\small{%
   \@setfontsize\small\@xpt{11}%
   \abovedisplayskip 8.5\p@ \@plus3\p@ \@minus4\p@
   \abovedisplayshortskip \z@ \@plus2\p@
   \belowdisplayshortskip 4\p@ \@plus2\p@ \@minus2\p@
   \def\@listi{\leftmargin\leftmargini
               \topsep 4\p@ \@plus2\p@ \@minus2\p@
               \parsep 2\p@ \@plus\p@ \@minus\p@
               \itemsep \parsep}%
   \belowdisplayskip \abovedisplayskip
   \setSmallDelims}
%
\def\setSmallDelims{%
\def\big##1{{\hbox{$\left##1\vbox to7.5\p@{}\right.\n@space$}}}%
\def\Big##1{{\hbox{$\left##1\vbox to10.5\p@{}\right.\n@space$}}}%
\def\bigg##1{{\hbox{$\left##1\vbox to13.5\p@{}\right.\n@space$}}}%
\def\Bigg##1{{\hbox{$\left##1\vbox to16.5\p@{}\right.\n@space$}}}%
\def\biggg##1{{\hbox{$\left##1\vbox to19.5\p@{}\right.\n@space$}}}%
\def\Biggg##1{{\hbox{$\left##1\vbox to22.5\p@{}\right.\n@space$}}}%
}
%
\newcommand\footnotesize{%
   \@setfontsize\footnotesize\@viiihpt{9.5}%
   \abovedisplayskip 6\p@ \@plus2\p@ \@minus2\p@
   \abovedisplayshortskip \z@ \@plus\p@
   \belowdisplayshortskip 3\p@ \@plus\p@ \@minus2\p@
%   \def\@listi{\leftmargin\leftmargini
%               \topsep 3\p@ \@plus\p@ \@minus\p@
%               \parsep 2\p@ \@plus\p@ \@minus\p@
%               \itemsep \parsep}%
   \belowdisplayskip \abovedisplayskip
   \setFootnotesizeDelims}
%
\def\setFootnotesizeDelims{%
\def\big##1{{\hbox{$\left##1\vbox to6.5\p@{}\right.\n@space$}}}%
\def\Big##1{{\hbox{$\left##1\vbox to9.5\p@{}\right.\n@space$}}}%
\def\bigg##1{{\hbox{$\left##1\vbox to12.5\p@{}\right.\n@space$}}}%
\def\Bigg##1{{\hbox{$\left##1\vbox to15.5\p@{}\right.\n@space$}}}%
\def\biggg##1{{\hbox{$\left##1\vbox to18.5\p@{}\right.\n@space$}}}%
\def\Biggg##1{{\hbox{$\left##1\vbox to21.5\p@{}\right.\n@space$}}}%
}
%   
\newcommand\scriptsize{\@setfontsize\scriptsize\@viipt\@viiipt}
\newcommand\tiny{\@setfontsize\tiny\@vpt\@vipt}
\newcommand\large{\@setfontsize\large\@xiipt{14}}
\newcommand\Large{\@setfontsize\Large\@xivpt{18}}
\newcommand\LARGE{\@setfontsize\LARGE\@xviipt{22}}
\newcommand\huge{\@setfontsize\huge\@xxpt{25}}
\newcommand\Huge{\@setfontsize\Huge\@xxvpt{30}}
%
%%%%%%%  For Times family  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
\DeclareOldFontCommand{\rm}{\normalfont\rmfamily}{\mathrm}
\DeclareOldFontCommand{\sf}{\normalfont\sffamily}{\mathsf}
\DeclareOldFontCommand{\tt}{\normalfont\ttfamily}{\mathtt}
\DeclareOldFontCommand{\bf}{\normalfont\bfseries}{\mathbf}
\DeclareOldFontCommand{\it}{\normalfont\itshape}{\mathit}
\DeclareOldFontCommand{\sl}{\normalfont\slshape}{\@nomath\sl}
\DeclareOldFontCommand{\sc}{\normalfont\scshape}{\@nomath\sc}
\DeclareOldFontCommand{\bi}{\bfseries\itshape}{\bfseries\itshape}
%
\newcommand{\cal}{\protect\pcal}
\newcommand{\pcal}{\@fontswitch{\relax}{\mathcal}}
\newcommand{\mit}{\protect\pmit}
\newcommand{\pmit}{\@fontswitch{\relax}{\mathnormal}}
%
\renewcommand\rmdefault{ptm}
\newcommand\rmmathdefault{TimesMath}
%
\renewcommand\sfdefault{Formata}
\newcommand\sfmathdefault{FormataMath}
%
\renewcommand{\ttdefault}{Courier}
%
\def\capsdefault{caps}% all CAPS
\DeclareRobustCommand\capsshape
        {\not@math@alphabet\capsshape\mathrm
         \fontshape\capsdefault\selectfont}
%
\def\capstrkdefault{capstrk}% all capstrk
\DeclareRobustCommand\capstrkshape
        {\not@math@alphabet\capstrkshape\mathrm
         \fontshape\capstrkdefault\selectfont}
%
\newcommand\scitdefault{scit}
\DeclareRobustCommand\scitshape
        {\not@math@alphabet\scitshape\relax
         \fontshape\scitdefault\selectfont}
%
\newcommand\capsitdefault{capsit}
\DeclareRobustCommand\capsitshape
        {\not@math@alphabet\capsitshape\relax
         \fontshape\capsitdefault\selectfont}
%
\newcommand\sctrkdefault{sctrk}
\DeclareRobustCommand\sctrkshape
        {\not@math@alphabet\sctrkshape\relax
         \fontshape\sctrkdefault\selectfont}
%
\newcommand\scittrkdefault{scittrk}
\DeclareRobustCommand\scittrkshape
        {\not@math@alphabet\scittrkshape\relax
         \fontshape\scittrkdefault\selectfont}
%
\newcommand\capsittrkdefault{capsittrk}
\DeclareRobustCommand\capsittrkshape
        {\not@math@alphabet\capsittrkshape\relax
         \fontshape\capsittrkdefault\selectfont}
%
\def\blkdefault{blk}%
\DeclareRobustCommand\blkseries
        {\not@math@alphabet\blkseries\relax
         \fontseries\blkdefault\selectfont}
%
\def\meddefault{med}%
\DeclareRobustCommand\medseries
        {\not@math@alphabet\medseries\relax
         \fontseries\meddefault\selectfont}
%
\def\ligdefault{lig}%
\DeclareRobustCommand\ligseries
        {\not@math@alphabet\ligseries\relax
         \fontseries\ligdefault\selectfont}
%
%
\def\hellsfdefault{hellsf}%
\DeclareRobustCommand\hellsfseries
        {\not@math@alphabet\hellsfseries\relax
         \fontseries\hellsfdefault\selectfont}
%
\newcommand\trkdefault{trk}
\DeclareRobustCommand\trkshape
        {\not@math@alphabet\trkshape\relax
         \fontshape\trkdefault\selectfont}
%
%
\DeclareFontFamily{OT1}{MathematicalPiOne}{}
\DeclareFontShape{OT1}{MathematicalPiOne}{m}{n}{ <-> MathematicalPi-One }{}
%%
%
%
%
\DeclareFontFamily{OML}{FormataMath}{\skewchar\font45 }%\font127
\DeclareFontShape{OML}{FormataMath}{m}{it}{ <-> formatami }{}
\DeclareFontShape{OML}{FormataMath}{bx}{it}{ <-> formatamib }{}
\DeclareFontShape{OML}{FormataMath}{b}{it}{<->ssub*mtt/bx/it}{}
%
\DeclareFontShape{OML}{FormataMath}{med}{it}{ <-> formatammi }{}
%\DeclareFontShape{OML}{FormataMath}{lig}{it}{ <-> FormataligMI }{}
%
\DeclareFontFamily{OMS}{FormataMath}{\skewchar\font48 }
\DeclareFontShape{OMS}{FormataMath}{m}{n}{<->  MTSY }{}
\DeclareFontShape{OMS}{FormataMath}{bx}{n}{ <-> MTSYB }{}
%
\DeclareFontFamily{OMX}{FormataMath}{}
\DeclareFontShape{OMX}{FormataMath}{m}{n}{ <-> MTEX }{}
%
\DeclareFontFamily{T1}{Formata}{}
\DeclareFontShape{T1}{Formata}{m}{n}{ <->  FORMATAR }{}%
\DeclareFontShape{T1}{Formata}{m}{trk}{ <->  FORMATAR40trk }{}%
\DeclareFontShape{T1}{Formata}{m}{it}{ <-> FORMATAI }{}
\DeclareFontShape{T1}{Formata}{lig}{n}{ <-> FORMATAL }{}
\DeclareFontShape{T1}{Formata}{lig}{it}{ <-> FORMATLI }{}%
\DeclareFontShape{T1}{Formata}{med}{n}{ <-> FORMATAM }{}%
\DeclareFontShape{T1}{Formata}{med}{it}{ <-> FORMATMI }{}
\DeclareFontShape{T1}{Formata}{bx}{n}{ <-> FORMATAB }{}%
\DeclareFontShape{T1}{Formata}{bx}{it}{ <-> FORMATBI }{}
\DeclareFontShape{T1}{Formata}{med}{trk}{ <-> FORMATAM40trk }{}
%
\DeclareFontFamily{T1}{UniversalNew}{}%
\DeclareFontShape{T1}{UniversalNew}{m}{n}{ <-> UNIVENCP }{}%
%%
\def\univcdot{\reset@font\fontfamily{UniversalNew}\fontsize{11}{11}\selectfont\char'155}
%
\def\encodingdefault{OT1}%
\fontencoding{OT1}%
%
\DeclareMathSizes{30}{30}{25}{20}
% 25
% 20
\DeclareMathSizes{18}{18}{15}{11}
% 17
%\DeclareMathSizes{14}{14}{11}{8}
\DeclareMathSizes{13}{13}{10}{7}
%\DeclareMathSizes{12}{12}{9}{6}
%\DeclareMathSizes{11}{11}{8}{6}
%\DeclareMathSizes{\@xpt}{\@xpt}{7}{5}
%\DeclareMathSizes{9}{9}{7}{5}
%\DeclareMathSizes{8}{8}{6}{5}
%\DeclareMathSizes{7}{7}{5}{5}
%\DeclareMathSizes{6}{6}{5}{5}
%\DeclareMathSizes{5}{5}{5}{5}
%
%
\def\encodingdefault{OT1}%
\fontencoding{OT1}%
%
\DeclareMathAlphabet{\mathbb}{OT1}{ams}{bx}{n}
%
\def\cal{\mathcal}
\def\bb{\mathbb}
%
% Remove the following definitions if you use CM fonts for math
%
\mathchardef\Gamma="0130
\mathchardef\Delta="0131
\mathchardef\Theta="0132
\mathchardef\Lambda="0133
\mathchardef\Xi="0134
\mathchardef\Pi="0135
\mathchardef\Sigma="0136
\mathchardef\Upsilon="0137
\mathchardef\Phi="0138
\mathchardef\Psi="0139
\mathchardef\Omega="017F
%%%%%%%%%
\mathchardef\slGamma="0100
\mathchardef\slDelta="0101
\mathchardef\slTheta="0102
\mathchardef\slLambda="0103
\mathchardef\slXi="0104
\mathchardef\slPi="0105
\mathchardef\slSigma="0106
\mathchardef\slUpsilon="0107
\mathchardef\slPhi="0108
\mathchardef\slPsi="0109
\mathchardef\slOmega="010A
%%%%%%%%
\mathcode`\+="2243
\mathcode`\=="3244
\mathchardef\ddagger="227A
\mathchardef\dagger="2279
%
\def\SS{{\char'244}}%
%
%\def\qvec{\mathaccent"017E}
\def\qvec{\mathaccent"0245}
\def\vec#1{\mathaccent"0245{#1}}
\def\lhd{\mathbin{< \hbox to -.43em{}\hbox{\vrule
      \@width .065em \@height .55em \@depth .05em}\hbox to .2em{}}}
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  Bold Math %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
\def\boldmath{\mathversion{bold}}
\def\bm#1{\mathchoice
										{\mbox{\boldmath$\displaystyle#1$}}%
          {\mbox{\boldmath$#1$}}%
          {\mbox{\boldmath$\scriptstyle#1$}}%
          {\mbox{\boldmath$\scriptscriptstyle#1$}}}
%
% define blackboard font if needed
%\def\bb#1{\mathchoice
%										{\mbox{\fontfamily{ams}\fontsize{\tf@size}{\tf@size}\selectfont\bf#1}}%
%										{\mbox{\fontfamily{ams}\fontsize{\tf@size}{\tf@size}\selectfont\bf#1}}%
%										{\mbox{\fontfamily{ams}\fontsize{\sf@size}{\sf@size}\selectfont\bf#1}}%
%										{\mbox{\fontfamily{ams}\fontsize{\ssf@size}{\ssf@size}\selectfont\bf#1}}}
%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% End Fonts %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Parameters %%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
\newif\iffloutsidemargin\floutsidemarginfalse%%%%%%%%%%---> For outside margin true
\newif\ifflinsidemargin\flinsidemarginfalse%%%%%%%%%%%%---> For inside margin true
\newif\ifflleftsidemargin\flleftsidemarginfalse%%%%%%%%---> For rightside margin true
\newif\ifflrightsidemargin\flrightsidemargintrue%%%%%%---> For leftside margin true
%
\newif\iffloutsidetexttypewidthsep\floutsidetexttypewidthsepfalse%%%%%%---> True for separation between outside margin and textmatter
\newif\ifflinsidetexttypewidthsep\flinsidetexttypewidthseptrue%%%%%%%%---> True for separation between inside margin and textmatter
\newif\ifflleftsidetexttypewidthsep\flleftsidetexttypewidthsepfalse%%%%---> True for separation between leftside margin and textmatter
\newif\ifflrightsidetexttypewidthsep\flrightsidetexttypewidthseptrue%%---> True for separation between rightside margin and textmatter
%
\newskip\texttypewidthsep\texttypewidthsep=0pc%%%%%---> Separation between the margin and textmatter
%
\setlength\trimheight{247mm}%
\setlength\trimwidth{174mm}%
%
\setlength\typeheight{46\baselineskip}%
\setlength\typewidth{32pc}%
%
\setlength\textheight{44\baselineskip}%
\addtolength\textheight{-5.3pt}%
\setlength\normaltextheight{\textheight}%
\setlength\textwidth{28pc}%
%
\newskip\colmargin%
\colmargin\typewidth
\advance\colmargin-\textwidth
\advance\colmargin-\texttypewidthsep
%
\setlength\topmargin{2.5pc}%37pt
\setlength\oddsidemargin   {4pc}%
\setlength\evensidemargin\trimwidth%
\addtolength\evensidemargin{-\textwidth}%
\addtolength\evensidemargin{-\oddsidemargin}%
\addtolength\evensidemargin{.3pt}
%\addtolength\oddsidemargin{3pc}%
%
\setlength\headheight{7\p@}% 
\setlength\headsep   {15.8pt}% \typeheight - \textheight - \headheight
\setlength\topskip   {7.5\p@}
%
\setlength\footskip{24pt}
\setlength\maxdepth{4\p@}
%
\blindfoliodrop\trimheight
\advance\blindfoliodrop-\typeheight
\advance\blindfoliodrop-\topmargin
\advance\blindfoliodrop-\footskip
%\advance\blindfoliodrop-12pt
\advance\blindfoliodrop34pt
%
\setlength\parindent{1em}
%
\setlength\marginparwidth {.75in}
\setlength\marginparsep{47\p@}
\setlength\marginparpush{5\p@}
%
\setlength\footnotesep{6.6\p@}
\setlength{\skip\footins}{18\p@ \@plus 2\p@ \@minus 2\p@}% change + based on FN font height
\skip\@mpfootins = \skip\footins
%
\setlength\floatsep    {15.5\p@ \@plus 2\p@}% \@minus 2\p@}
\setlength\textfloatsep{14.5\p@ \@plus 2\p@}% \@minus 4\p@}
\setlength\intextsep   {12\p@ \@plus 2\p@ \@minus 2\p@}
\setlength\dblfloatsep    {12\p@ \@plus 2\p@ \@minus 2\p@}
\setlength\dbltextfloatsep{20\p@ \@plus 2\p@ \@minus 4\p@}
\setlength\@fptop{0\p@}
\setlength\@fpsep{8\p@ \@plus 1fil}
\setlength\@fpbot{0\p@ \@plus 1fil}
\setlength\@dblfptop{0\p@}
\setlength\@dblfpsep{8\p@ \@plus 1fil}
\setlength\@dblfpbot{0\p@ \@plus 1fil}
%
\setlength\partopsep{0pt}
\setlength\lineskip{1\p@}% check if it can be flexible
\setlength\normallineskip{1\p@}%
\renewcommand\baselinestretch{} %
\setlength\parskip{\z@}%{0\p@ \@plus \p@}
\@lowpenalty   51
\@medpenalty  151
\@highpenalty 301
%
\@beginparpenalty -\@lowpenalty
\@endparpenalty   -\@lowpenalty
\@itempenalty     -\@lowpenalty
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% End Parameters %%%%%%%%%%%%%%%%%%%%%%%%%
%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  Part Title  %%%%%%%%%%%%%%%%%%%%%%%%%%
%
\newcommand\part{\cleardoublepage
                    \thispagestyle{empty}%\vspace*{-14.3pt}%
                    \global\@topnum\z@
                    \@afterindentfalse
                    \secdef\@part\@spart}
%
\def\@part[#1]#2{%
    \ifnum \c@secnumdepth >-2\relax
      \refstepcounter{part}%
      %\addextcontentsline{toc}{part}{\protect\numberline{\thepart}#1}%
      \addcontentsline{toc}{part}{\thepart\hspace{1em}#1}%
    \else
      %\addextcontentsline{toc}{part}{#1}%
      \addcontentsline{toc}{part}{#1}%
    \fi
    \markboth{}{}
    \gdef\@parttitle{#1}}%
%
\def\@spart#1{%
    {\centering
     \interlinepenalty \@M
     \Huge \bfseries #1\par}%
    \@endpart}
%
\def\@endpart{}%\vfil\newpage}
%
\def\makeparttitle{%
     \ifnum \c@secnumdepth >-2\relax
       \vspace*{12pt}
       \noindent{\PNfont \partname\ \thepart\par}%
       \vskip 9\p@
     \fi
     \noindent{\PTfont \@parttitle%\ifodd\c@page\reversemarginpar\fi\protect\marginpar{\protect\fbox{\footnotesize\sf \piece@role}}
\par}%
     \vskip26.2pt%
     \ifnum\authorcount>\z@
         \vskip10pt
         {{\authorfont\centering\@authors\par\addvspace{10pt}}}
     \fi
     \ifvoid\partquotetbox\else{\box\partquotetbox}\fi
    \@endpart}%\cleardoublepage}%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  End Part Title  %%%%%%%%%%%%%%%%%%%%%%
%
%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  Chapter Title  %%%%%%%%%%%%%%%%%%%%%%%%%%
%
\newcommand\chapnum{\ifcase\c@chapter\or
  one\or two\or three\or four\or five\or six\or
  seven\or eight\or nine\or ten\or eleven\or twelve\or thirteen
  \or fourteen\or fifteen\or sixteen\or seventeen\or eighteen\or
  nineteen\or twenty\fi}
%
\def\cleardoublepage{\clearpage\if@twoside \ifodd\c@page\else
    \hbox{}\thispagestyle{empty}\newpage\if@twocolumn\hbox{}\newpage\fi\fi\fi}
%
\newcommand\@chapapp{\chaptername}
%
\newcommand\chapter{\clearpage
                    \thispagestyle{plain}%
                    \global\@topnum\z@
                    \@afterindentfalse
                    \secdef\@chapter\@schapter}
\def\@chapter[#1]#2{\ifnum \c@secnumdepth >\m@ne
                         \refstepcounter{chapter}%
                         \typeout{\@chapapp\space\thechapter.}%
%                         \addextcontentsline{toc}{chapter}%
%                                   {\protect\numberline{\thechapter}#1}%
                         \addcontentsline{toc}{chapter}%
                                   {<0:numberline>\thechapter</0:numberline>#1}%
                    \else
                         %\addextcontentsline{toc}{chapter}{#1}
                         \addcontentsline{toc}{chapter}{#1}
                    \fi
                    \chaptermark{#1}%
                    \addtocontents{lof}{\protect\addvspace{10\p@}}%
                    \addtocontents{lot}{\protect\addvspace{10\p@}}%
                    \if@twocolumn
                      \@topnewpage[\@makechapterhead{#2}]%
                    \else
                      \gdef\@chaptertitle{#2}
                      \@afterheading
                    \fi}
\def\Chsubtitle#1{\gdef\@Chsubtitle{#1}}
\def\@Chsubtitle{}
\def\@tempp{}
%
\newif\ifappendix\appendixfalse
%
\newif\ifchapterquote\chapterquotefalse
%
%
\def\author{\@ifnextchar [{\@author}{\@author[]}}
\def\@author[#1]#2{\gdef\@authormark{#1}%
    \global\advance\authorcount by 1
    \expandafter\gdef\csname author\romannumeral\the\authorcount\endcsname{#2}\affil{}}
%%
\def\affil#1{\expandafter\gdef\csname affil\romannumeral\the\authorcount\endcsname{#1}}
%
\def\authorsep{\unskip, }
\newskip\authorssep\authorssep10pt
\newcount\authorcount\authorcount=0
\newcount\tempcount
\def\@authors{%
    \ifnum\authorcount>0%  %%%% Authors available
       \tempcount=1%
       \loop%
       \ifnum\authorcount>0%
          \noindent{\authorfont\csname author\romannumeral\the\tempcount \endcsname}%
          \def\@tempb{\csname affil\romannumeral\the\tempcount \endcsname}%
          \setbox\tempbox\hbox{\let\\=\relax\@tempb}%
          \ifdim\wd\tempbox=\z@% \@empty checking not possible here
              \ifnum\authorcount>1\ifnum\authorcount=2\ and \else\unskip\authorsep\fi\fi%
              \vskip\authorssep
          \else
              \vskip3pt
              \noindent{\affilfont\@tempb\endgraf}
              \vskip10pt
          \fi%
          \global\advance\authorcount by -1%
          \advance\tempcount by 1 %
       \repeat%
    \fi\global\authorcount=0}%
%
\def\@makechapterhead#1{%%
\vbox to 111.5pt{\setlength\overfullrule{0pt}\vspace*{15.3pt}%%
    \ifnum \c@secnumdepth >\m@ne
    \vskip-17pt%
\ifappendix
\vbox to -1pt{\hbox{\epsfbox{Chapopp.eps}}}
    \@hangfrom{\noindent\hbox to 4pc{\hfill}}%
    \noindent{\CTfont #1\vphantom{ply}\par}%
\else
\vbox to -1pt{\hbox{\epsfbox{Chapopp.eps}}}
    \@hangfrom{\noindent\hbox to 4pc{\hskip2.5pt\CNfont \thechapter\vphantom{169}\hfill}}%
    \noindent{\CTfont #1\vphantom{ply}\par}%
\fi
%
    \vfil% or \vfil if vbox is fixed
}\par\hbox to \hsize{\leaders\hrule height\draftrule\hss}%
     \vskip-\lastskip\vskip-\baselineskip%
}
%
\def\seriestitfont{\fontsize{14}{14}\selectfont\sctrkshape\spaceskip3pt\leftskip1.2pt plus1fill\rightskip0pt plus1fill}
\def\fmseriestitfont{\fontsize{8.25}{8.25}\selectfont\capstrkshape\leftskip4pc\rightskip0pt plus1fill}%
%
\def\@schapter#1{\chaptermark{#1}%
                 \if@twocolumn
                   \@topnewpage[\@makeschapterhead{#1}]%
                 \else
                   \gdef\@spchaptitle{#1}%
                   \@afterheading
                 \fi
}
\newif\ifbackmatter\backmatterfalse
\def\@makeschapterhead#1{\ifseriespage\thispagestyle{empty}\else\iffrontmatter\ifseries\thispagestyle{empty}\else\thispagestyle{plain}\fi\else\thispagestyle{plain}\fi\fi\def\temp{#1}\ifx\@spchaptitlewithnohead\NotesB\bookmark{Notes to pages 00--00}%\partmark{Notes to pages 00--00}
%\markboth{Notes to pages 00--00}{Notes to pages 00--00}
\fi%
  \vbox to \ifseriespage18pt\else\iffrontmatter\ifseries14.5pt\else111.5pt\fi\else111.5pt\fi\fi{\ifseriespage\vspace*{.8pt}\else\iffrontmatter\ifseries\vspace*{2pt}\else\vspace*{3pt}\fi\else\vspace*{3pt}\fi\fi%
    \parindent \z@ \raggedright
    \ifseriespage
    \noindent{\seriestitfont#1\vphantom{ply}\par}%
    \else
    \iffrontmatter
    \ifseries
    \noindent{\fmseriestitfont #1\vphantom{ply}\par}%
    \else
    \noindent{\UnnumCTfont #1\vphantom{ply}\par}%
    \fi
    \else
    \noindent{\UnnumCTfont #1\vphantom{ply}\par}%
    \fi\fi
%
}\par\hbox to \hsize{\leaders\hrule height\draftrule\hss}%
     \vskip-\lastskip\vskip-\baselineskip\iffrontmatter\ifseries\vskip1.5pt\else\fi\else\fi%
}
%
\def\makechaptertitle{%
                      \@makechapterhead{\@chaptertitle}%
                      \@afterheading
                      }
%
\def\makespchaptertitle{%
                      \@ifundefined{@spchaptitle}{\pagestyle{empty}\@makeschapterhead{}}
                      {\@makeschapterhead{\@spchaptitle}}%
                      \@afterheading}
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  End Chapter Title  %%%%%%%%%%%%%%%%%%%%%%
%
\newbox\firstbox
\newdimen\boxht
\newdimen\leftsp
\newcount\bcount
%%
\def\makecolorbox#1{\overfullrule0pt%
     \fboxsep6pt%
     \fboxrule1.6pt%
     \fbox{\box#1}}%
%%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  Begin Extracts and Quotes  %%%%%%%%%%%%%%%%%%%%
%
\def\dialfont{\fontsize{9}{10.5}\selectfont}
\newdimen\dialdimen
\def\dialauthor#1{{{\dialfont\bfseries#1:}}\hskip8.5pt}
\newenvironment{dial}[1]{\par\addvspace{7.5pt plus2pt minus.2pt}%
\setbox\tempbox\hbox{\dialfont\hskip1pc#1}
\dialdimen\wd\tempbox
      \dialfont\parindent0pt\ignorespaces\hangindent3pc
}{%
      \par
      \addvspace{6pt plus2pt minus.2pt}}
%
\def\dialsource#1{\hbox to \dialdimen{\hfill#1}}
%
%%%%%%%%%% Poetry
%
\def\ptyfont{\ifnotes\fontsize{9}{10}\selectfont\else\iffootnote\fontsize{8}{9}\selectfont\else\ifdisplay\fontfamily{\ttdefault}\fontsize{9.5}{12.5}\selectfont\else\fontsize{10}{11}\selectfont\fi\fi\fi}%\leftskip45pt\rightskip0pt plus1fill
\def\ptysourcefont{\ifnotes\fontsize{8}{10}\selectfont\rightskip0pt plus1fill\else\iffootnote\fontsize{8}{9}\selectfont\else\ifdisplay\fontfamily{\ttdefault}\fontsize{9.5}{12.5}\selectfont\else\fontsize{9}{10}\selectfont\rightskip0pt plus1fill\fi\fi\fi}
%
\newdimen\poetrytextwidth
\newdimen\ptydim
%
\newif\ifcenterpoetry
\global\centerpoetryfalse%
%
\newenvironment{poetry}[1]{\par\ifnotes\addvspace{6.5pt plus2pt}\else\ifdisplay\addvspace{6.25pt plus2pt}\else\addvspace{7pt plus2pt}\fi\fi%
\let\source\poetrysource%
   \iffootnote\reset@font\parindent-8pt\ignorespaces\else\ifdisplay\reset@font\parindent-11pt\ignorespaces\else\reset@font\parindent-10pt\ignorespaces\fi\fi%
   \ptyfont\setbox\tempbox\hbox{#1}%
   \global\poetrytextwidth\wd\tempbox%
   \ifdim\poetrytextwidth>22pc%
       \ifnotes
         \ptydim2pc\global\advance\ptydim-\enumdim%
       \else
         \global\ptydim2pc%
       \fi%
     \ifcenterpoetry
       \leftskip10pt plus1fill\rightskip0pt plus1fill\ignorespaces%
     \else
     \iffootnote
       \leftskip\ptydim\advance\leftskip8pt\rightskip\ptydim\advance\rightskip-8pt plus1fill\ignorespaces%
     \else
     \ifdisplay
       \leftskip\ptydim\advance\leftskip11pt\rightskip\ptydim\advance\rightskip-11pt plus1fill\ignorespaces%
     \else
       \leftskip\ptydim\advance\leftskip10pt\rightskip\ptydim plus1fill\ignorespaces%
     \fi\fi\fi
   \else%
       \ptydim\hsize%
       \advance\ptydim-\wd\tempbox%
       \ifnotes
       \advance\ptydim-\enumdim%
       \else
       \iffootnote
    %   \advance\ptydim-\@footmax%
       \else\fi\fi\global\divide\ptydim by 2%
     \ifcenterpoetry
       \leftskip10pt plus1fill\rightskip0pt plus1fill\ignorespaces%
     \else
     \iffootnote
       \leftskip\ptydim\advance\leftskip8pt\rightskip\ptydim\advance\rightskip-8pt plus1fill\ignorespaces%
     \else
     \ifdisplay
       \leftskip\ptydim\advance\leftskip11pt\rightskip\ptydim\advance\rightskip-11pt plus1fill\ignorespaces%
     \else
       \leftskip\ptydim\advance\leftskip10pt\rightskip\ptydim\advance\rightskip-10pt plus1fill\ignorespaces%
     \fi\fi\fi
   \fi    
}{%
\par\ifnotes\addvspace{5.5pt plus2pt}\else\iffootnote\addvspace{4.5pt plus2pt}\else\ifdisplay\addvspace{6.25pt plus2pt}\else\addvspace{5.5pt plus2pt}\fi\fi\fi\@endparenv%
\global\centerpoetryfalse\global\extsourcefalse\global\displayfalse}
%
\def\poetrysource#1{\hbox to \textwidth{\hfill\ifextsource\else\ptysourcefont\fi#1\hskip\ptydim}}%\ifnotes\addvspace{3.5pt plus2pt}\else\addvspace{5.8pt plus1pt}\fi} %\advance\ptydim202.2pt\leftskip\ptydim\advance\ptydim-240pt\rightskip\ptydim
%
\def\ptysep{\ifnotes\vspace*{5pt}\else\vspace*{5.5pt}\fi\ignorespaces}
%
%
%%%%%%%%% Part Quote
%
\def\partquotefont{\fontsize{9}{10.5}\selectfont\leftskip45pt\rightskip0pt plus1fill}
\def\partquotesourcefont{\fontsize{8}{9}\selectfont\rightskip0pt plus1fill}
%
\newdimen\partquotetextwidth
\newbox\partquotetbox
%
\newenvironment{partquote}[1]{\par\addvspace{9pt}
\setbox\tempbox\hbox{\partquotefont#1}
\global\partquotetextwidth\wd\tempbox
\global\setbox\partquotetbox\vbox\bgroup%
\partquotefont\parindent-1em%
}{%
\egroup
\par\addvspace{8pt plus2pt}\@endparenv}
%
\def\partquotesource#1{\par\vskip1.75pt
\partquotesourcefont%
\noindent\hbox to\partquotetextwidth{\hfill\begin{tabular}{@{}r@{}}#1
\end{tabular}}\vspace*{1.3pt}}
%
%%%%%%%%% Chapter Quote
%
\def\chapterquotefont{\fontsize{10}{12}\selectfont}%\leftskip15pt\rightskip0pt plus1fill}
\def\cqfont{\fontsize{10}{12}\selectfont\leftskip36pt\rightskip0pt plus1fill}
\def\chapterquotesourcefont{\fontsize{10}{12}\selectfont}%\raggedleft}%\rightskip0pt plus1fill}
%
\newdimen\chapterquotetextwidth
\newbox\chapterquotebox
%
\newenvironment{coquote}[1][\relax]{\par\vskip1.5pt%
\chapterquotefont\leftskip1em\parindent0pt\ignorespaces\noindent}{%
\par\addvspace{4.6pt plus2pt}\@endparenv}
%
\newenvironment{exspace}{\par\addvspace{0.001pt plus2pt}%
}{\par\addvspace{0.001pt plus2pt}}
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  End Extracts and Quotes  %%%%%%%%%%%%%%%%%%%%
%
\def\@Afterheading{%
  \@nobreaktrue
  \everypar{%
    \if@nobreak
      \@nobreakfalse
      \clubpenalty \@M
      \if@afterindent \else
        {\hskip4pc\hskip-1em\setbox\z@\lastbox}%
      \fi
    \else
      \clubpenalty \@clubpenalty
      \everypar{}%
    \fi}}
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  Sectioning commands  %%%%%%%%%%%%%%%%%%%%
%
\newif\ifXHead\global\XHeadfalse%
\newif\ifYHead\global\YHeadfalse%
%
\setcounter{secnumdepth}{2}
\newcounter {part}
\newcounter {chapter}
\newcounter {section}[chapter]
\newcounter {subsection}[section]
\newcounter {subsubsection}[subsection]
\newcounter {paragraph}[subsubsection]
\newcounter {subparagraph}[paragraph]
\renewcommand\thepart          {\Roman{part}}
\renewcommand\thechapter       {\arabic{chapter}}
   \renewcommand\thesection       {\thechapter.\arabic{section}}
   \renewcommand\thesubsection    {\thesection.\arabic{subsection}}
   \renewcommand\thesubsubsection {\thesubsection.\arabic{subsubsection}}
   \renewcommand\theparagraph     {\thesubsubsection.\arabic{paragraph}}
   \renewcommand\thesubparagraph  {\theparagraph.\arabic{subparagraph}}
%
\def\@seccntformat#1{\hbox to 4pc{\hskip3pt\csname the#1\endcsname\hfill}}%
\def\@subseccntformat#1{\hbox to 4pc{\csname the#1\endcsname\hfill}}%
%\def\@subseccntformat#1{\csname the#1\endcsname\quad}%\hskip13.5pt}
\def\@subsubseccntformat#1{\csname the#1\endcsname\quad}%\hskip5pt}
%%
%
\def\Hrulefill{\leavevmode\leaders\hrule height 5pt\hfill\kern\z@}%
%
\def\BUnivcdot{{\reset@font\fontfamily{UniversalNew}\fontsize{11}{11}\selectfont\lower1pt\hbox{\char'156}}}%%
\def\BUnivnewcdotfill{\setlength\overfullrule{0pt}%
  \leavevmode%%
  \cleaders \hb@xt@ .01em{\hss\BUnivcdot\hss}\hfill%%
  \kern\z@}%%
%
\def\AtoBhead{\vskip6pt}
\def\BtoChead{\vskip-.2pt}
%
%
\newdimen\secht
\newdimen\secttempht
%
%
\def\xheadsep{\vspace*{16.5pt}}
\def\XtoYhead{\vskip1.5pt}
\def\YtoZhead{\vspace*{-10pt}}
%
\let\subsubparagraphmark\@gobble
%
\newif\ifboxhead\global\boxheadfalse
%
\newcommand\section{\boxheadfalse\unnumsectrue\@startsection {section}{1}{\ifbiblio1.5pc\else\z@\fi}{-15pt \@plus -2pt \@minus -.2pt}{\ifbiblio7.5pt\else13pt\fi}{\ifAplushead\Aplusheadfont\else\sectionfont\fi}}%
\newcommand\subsection{\boxheadfalse\@startsection{subsection}{2}{\z@}{-19.5pt \@plus -2pt \@minus -.2pt}{5.5pt}{\subsectionfont}}%
\newcommand\subsubsection{\boxheadfalse\@startsection{subsubsection}{3}{\z@}{-13pt \@plus -2pt \@minus -.2pt}{0.001pt}{\subsubsectionfont}}%
\newcommand\paragraph{\boxheadfalse\@startsection{paragraph}{4}{\z@}{-13pt \@plus -2pt \@minus -.2pt}{-8pt}{\paragraphfont}}%
\newcommand\subparagraph{\boxheadfalse\@startsection{subparagraph}{5}{\z@}{-17pt \@plus -2pt \@minus -.2pt}{5pt}{\subparagraphfont}}%
\newcommand\noteshead{\boxheadfalse\@startsection{subsection}{2}{\z@}{-18pt \@plus -2pt \@minus -.2pt}{6pt}{\subsectionfont}}%johny 05/03/03
\newcommand\oneasection{\boxheadfalse\@startsection {section}{7}{\z@}{-18pt \@plus -2pt \@minus -.2pt}{6pt}{\oneasectionfont}}%
\newcommand\boxsection{\boxheadtrue\XHeadfalse\YHeadfalse\@startsection {section}{1}{\z@}{-18pt}{6pt}{\boxsectionfont}}%
\newcommand\boxsubsection{\boxheadtrue\@startsection{subsection}{2}{\z@}{-9pt}{3pt}{\boxsubsectionfont}}%
%
\newcommand\Nhead{\boxheadfalse\XHeadtrue\YHeadfalse\@startsection {subsubsection}{3}{\z@}{-16pt \@plus -2pt \@minus -.2pt}{5pt}{\Nheadfont}}%
%
\newcommand\XHead{\boxheadfalse\XHeadtrue\YHeadfalse\@startsection {paragraph}{4}{\z@}{\ifbiblio-11pt \@plus -2pt \@minus -.2pt\else-17pt \@plus -2pt \@minus -.2pt\fi}{\ifbiblio5pt\else\ifindex7pt\else3.5pt\fi\fi}{\Xheadfont}}%
\newcommand\YHead{\boxheadfalse\YHeadtrue\XHeadfalse\@startsection{subparagraph}{5}{\z@}{\ifbiblio-18.5pt \@plus -2pt \@minus -.2pt\else-17pt \@plus -2pt \@minus -.2pt\fi}{5pt}{\Yheadfont}}%
\newcommand\ZHead{\boxheadfalse\@startsection{subsubparagraph}{6}{\z@}{-17pt \@plus -2pt \@minus -.2pt}{3.5pt}{\Zheadfont}}%
%
\def\@startsection#1#2#3#4#5#6{%
  \if@noskipsec \leavevmode \fi
  \par
  \@tempskipa #4\relax
  \@afterindenttrue
  \ifdim \@tempskipa <\z@
    \@tempskipa -\@tempskipa \@afterindentfalse
  \fi
  \if@nobreak
%  \ifnum#2 = 2
%    \vskip6pt
%  \fi
%  \ifnum#2 = 5
%    \vskip3pt
%  \fi
%  \ifnum#2 = 6
%    \vskip1.5pt
%  \fi
    \everypar{}%
  \else
    \addpenalty\@secpenalty\addvspace\@tempskipa
  \fi
  \@ifstar
    {\@ssect{#1}{#3}{#4}{#5}{#6}}%
    {\@dblarg{\@sect{#1}{#2}{#3}{#4}{#5}{#6}}}}
%
\def\@sect#1#2#3#4#5#6[#7]#8{\ifnum #2>\c@secnumdepth
     \let\@svsec\@empty\else
     \refstepcounter{#1}%
     \let\@@protect\protect
     \def\protect{\noexpand\protect\noexpand}%
     \ifnum#2=1
	        \edef\@svsec{\@seccntformat{#1}}%
     \else
	        \edef\@svsec{\@subseccntformat{#1}}%
     \fi
%     \edef\@svsec{\@seccntformat{#1}}%
     \let\protect\@@protect\fi
     \@tempskipa #5\relax
      \ifdim \@tempskipa>\z@
        \begingroup #6\relax
    \ifboxenv
          \noindent{\hskip #3\relax\@svsec}%
                    {\interlinepenalty \@M #8\par}%
    \else
        \ifnum#2=1
            \setbox\tempbox\vbox{\hsize24pc{\sectionfont#8}}
            \secht\ht\tempbox
            \advance\secht9.2pt
        \hbox{\hskip-1pt\vbox to -1.6pt {\setlength\overfullrule{0pt}\noindent\graytwtycolor{\vrule height\secht width\textwidth}}}
          \@hangfrom{\hskip #3\relax\@svsec}%
                    {\interlinepenalty \@M #8\par}%
        \else
                \ifnum#2=2
                  \@hangfrom{\hskip #3\relax\@svsec}%
                            {\interlinepenalty \@M #8\hspace*{7.6pt}\setlength\overfullrule{0pt}\noindent\graythtycolor{\BUnivnewcdotfill\hskip3pt}\par}%
                \else
                \ifnum#2=3
\@hangfrom{\hskip #3\relax\@svsec}%
                    {\interlinepenalty \@M #8\par}%
\else
\noindent{\hskip #3\relax\@svsec}%
                    {\interlinepenalty \@M #8\par}%
        \fi\fi\fi\fi
        \endgroup
       \csname #1mark\endcsname{#7}\addcontentsline
%
         {toc}{#1}{\ifnum #2>\c@secnumdepth \else
                      \protect\numberline{\csname the#1\endcsname}\fi
                    #7}\else
        \def\@svsechd{#6\hskip #3\relax  %% Use a period(any punc) here for run-in head
                   \@svsec #8\ifnum#2=3\else\fi\csname #1mark\endcsname
                      {#7}\addcontentsline
%
                           {toc}{#1}{\ifnum #2>\c@secnumdepth \else
                           \protect\numberline{\csname the#1\endcsname}%
                                     \fi
                       #7}}\fi
     \@xsect{#5}\ifnum#2=4\else\@Afterheading\fi\global\unnumsecfalse}
%
\def\@ssect#1#2#3#4#5#6{%
  \@tempskipa #4\relax%
  \ifdim \@tempskipa>\z@
    \begingroup
      #5{%
        \@hangfrom{\hskip #2}%
          \interlinepenalty \@M 
          \ifunnumsec\vspace*{-14pt}%
            \setbox\tempbox\vbox{\hsize24pc{\sectionfont#6}}
            \secht\ht\tempbox
            \advance\secht9.2pt
        \hbox{\vbox to -1.6pt {\parindent0pt\setlength\overfullrule{0pt}\leftskip-4pc\noindent\graytwtycolor{\vrule height\secht width\textwidth}}}
          \leftskip4pc#6\par%
          \else\ifboxhead\leftskip6pt\else\leftskip4pc\fi#6\par\fi\@@par}%
          \csname #1mark\endcsname{#6}
    \endgroup
  \else
    \def\@svsechd{#5{\hskip #2\relax #6}}%
  \fi
  \@xsect{#4}\ifunnumsec\@Afterheading\fi\global\unnumsecfalse\global\boxheadfalse}
%  
\def\@xsect#1{%
  \@tempskipa #1\relax
  \ifdim \@tempskipa>\z@
    \par \nobreak
    \vskip \@tempskipa
    \@afterheading
  \else
    \@nobreakfalse
    \global\@noskipsectrue
    \everypar{%
      \if@noskipsec
        \global\@noskipsecfalse
       {\setbox\z@\lastbox}%
        \clubpenalty\@M
        \begingroup\@svsechd \endgroup
        \unskip
        \@tempskipa #1\relax
        \hskip -\@tempskipa
      \else
        \clubpenalty \@clubpenalty
        \everypar{}%
      \fi}%
  \fi
  \ignorespaces}
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  End Sectioning commands  %%%%%%%%%%%%%%%%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  Lists %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
\newskip\topsepi \topsepi6.5\p@ \@plus2\p@ \@minus1\p@
\newskip\topsepii \topsepii0pt% \@plus1\p@ 
\newskip\topsepiii \topsepiii0pt% \@plus1\p@ 
\newskip\topsepiv \topsepiv0pt% \@plus1\p@ 
\newskip\topsepv \topsepv0pt% \@plus1\p@ 
\newskip\topsepvi \topsepvi6\p@ \@plus2\p@ \@minus1\p@
\newskip\topsepvii \topsepvii0pt% \@plus1\p@ 
\newskip\topsepviii \topsepviii0pt% \@plus1\p@ 
\newskip\topsepix \topsepix0pt% \@plus1\p@ 
\newskip\topsepx \topsepx0pt% \@plus1\p@ 
\newskip\itemsepi \itemsepi0pt
\newskip\itemsepii \itemsepii0pt
\newskip\itemsepiii \itemsepiii0pt
\newskip\itemsepiv \itemsepiv0pt
\newskip\itemsepv \itemsepv0pt
\newskip\itemsepvi \itemsepvi0pt
\newskip\itemsepvii \itemsepvii0pt
\newskip\itemsepviii \itemsepviii0pt
\newskip\itemsepix \itemsepix0pt
\newskip\itemsepx \itemsepx0pt
\newdimen\LabelSep \LabelSep5pt
%
\def\@listI{\leftmargin\leftmargini
            \labelwidth\leftmargini
            \advance\labelwidth-\labelsep
            \parsep 0\p@%
            \topsep \topsepi
            \itemsep\itemsepi}%
\let\@listi\@listI
\@listi
\def\@listii {\leftmargin\leftmarginii
              \labelwidth\leftmarginii
              \advance\labelwidth-\labelsep
              \topsep\topsepii
              \parsep 0pt
              \itemsep\itemsepii}
\def\@listiii{\leftmargin\leftmarginiii
              \labelwidth\leftmarginiii
              \advance\labelwidth-\labelsep
              \topsep  0pt
              \parsep    \z@
              \partopsep 0pt
              \itemsep   \topsep}
\def\@listiv {\leftmargin\leftmarginiv
              \labelwidth\leftmarginiv
              \advance\labelwidth-\labelsep}
\def\@listv  {\leftmargin\leftmarginv
              \labelwidth\leftmarginv
              \advance\labelwidth-\labelsep}
\def\@listvi {\leftmargin\leftmarginvi
              \labelwidth\leftmarginvi
              \advance\labelwidth-\labelsep}
%
\setlength\leftmargini  {2.5em}
\setlength\leftmarginii  {2.2em}
\setlength\leftmarginiii {1.87em}
\setlength\leftmarginiv  {1.7em}
\setlength\leftmarginv  {1em}
\setlength\leftmarginvi {1em}
\setlength\leftmargin    {\leftmargini}
%
\setlength  \labelsep  {\LabelSep}
\setlength  \labelwidth{\leftmargini}
\addtolength\labelwidth{-\labelsep}
%
\renewcommand\theenumi{\arabic{enumi}}
\renewcommand\theenumii{\alph{enumii}}
\renewcommand\theenumiii{\roman{enumiii}}
\renewcommand\theenumiv{\arabic{enumiv}}%\Alph{enumiv}}
\newcommand\labelenumi{\theenumi.}
\newcommand\labelenumii{(\theenumii)}
\newcommand\labelenumiii{\theenumiii.}
\newcommand\labelenumiv{\theenumiv.}
\renewcommand\p@enumii{\theenumi}
\renewcommand\p@enumiii{\theenumi(\theenumii)}
\renewcommand\p@enumiv{\p@enumiii\theenumiii}
%\newcommand\labelitemi{$\m@th\bullet$}
%\newcommand\labelitemii{\normalfont\bfseries --}
%\newcommand\labelitemiii{$\m@th\ast$}
%\newcommand\labelitemiv{$\m@th\cdot$}
\font\lcir = lcircle10 at 10pt
\newcommand\bulls{\raise1.5pt\hbox{\lcir\char'162}}
\def\textbullet{\leavevmode\raise2pt\hbox{\hskip1.75pt\bulls}}
\font\fnlcir = lcircle10 at 8.7pt
\newcommand\fnbulls{\hbox{\fnlcir\char'162}}
\def\fntextbullet{\leavevmode\raise3pt\hbox{\hskip1.75pt\fnbulls}}
\def\tabtextbullet{\leavevmode\raise1pt\hbox{\hskip1.75pt\fnbulls}}
\def\textendash{{\bf--}}
\def\textasteriskcentered{\leavevmode\raise-1.5pt\hbox{*}}
\def\textperiodcentered{\leavevmode\raise1.5pt\hbox{\bulls}}
\newcommand\labelitemi{\textbullet}
\newcommand\labelitemii{\normalfont\bfseries \textendash}
\newcommand\labelitemiii{\textasteriskcentered}
\newcommand\labelitemiv{\textperiodcentered}
%
\newcommand\descriptionlabel[1]{\hspace\labelsep
                                \normalfont #1}
\newenvironment{description}
               {\advance\@enumdepth\@ne\list{}{\labelwidth\z@ \leftmargin1.5\normalparindent\listparindent0pt%
                        \itemindent-.5\normalparindent
                        \def\makelabel##1{\hspace\labelsep\normalfont ##1}}}
               {\endlist}
%
%
\newenvironment{labellist}
               {\par\advance\@enumdepth\@ne\list{}{%
               \ifnoexample
               \else\vspace*{1pt}
               \fontsize{9.5}{12}\selectfont\raggedright
               \fi
               \ifboxenv\labelwidth42pt\else\labelwidth48pt\fi
               \leftmargin4pc\listparindent0pt%\labelwidth\z@ 
               \ifboxenv\itemindent0pt\else\itemindent0pt\fi
               \def\makelabel##1{\hspace\labelsep\normalfont ##1}}}
               {\endlist\global\noexamplefalse}
%
\newenvironment{verse}
               {\let\\=\@centercr
                \list{}{\itemsep      \z@
                        \itemindent   -1.5em%
                        \listparindent\itemindent
                        \rightmargin  \leftmargin
                        \advance\leftmargin 1.5em}%
                \item[]}
               {\endlist}
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  End Lists %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  Quotes %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
\newenvironment{quote}{\list{}{\rightmargin\leftmargin}%
                \item[]}
               {\endlist}
%
%
\newenvironment{ullist}{\par\addvspace{6.6pt plus2pt minus.5pt}\leftskip26pt%
      \noindent\ignorespaces 
}{%
      \par\addvspace{6.7pt plus2pt minus.5pt}\leftskip0pt}
%
% space above extract will change: regular by (baselineskip - extract baselineskip)
%
%
\def\extsep{\vspace*{6pt}}
%
\newdimen\extdim%
\newdimen\extwidth%
%
\newenvironment{extract}[1][\relax]{\par\extracttrue\ifnotes\addvspace{8.5pt plus2pt}\else\iffootnote\addvspace{4.5pt plus2pt}\else\iflist\addvspace{7.75pt plus2pt}\else\addvspace{7.5pt plus2pt}\fi\fi\fi%
\let\arabiclist\exarabiclist%
\let\endarabiclist\endexarabiclist%
\let\unnumlist\exunnumlist%
\let\endunnumlist\endexunnumlist%
\let\dcllist\exdcllist%
\let\enddcllist\endexdcllist%
%
\let\Dialogue\extDialogue%
\let\endDialogue\endextDialogue%
%
\let\dialogue\extdialogue%
\let\enddialogue\endextdialogue%
%
\let\dialogentry\extdialogentry%
%
\ifx#1\relax%
   \global\extdim\textwidth%
   \let\source\extsource%
\else%
   \setbox\tempbox\hbox{\extractfont#1}%
   \global\extdim\wd\tempbox%
   \extwidth\textwidth%
   \ifnotes
     \advance\extwidth-\enumdim%
   \else
   \iffootnote
     \advance\extwidth-\footmax%
   \else
   \fi
   \fi
   \global\advance\extwidth-\extdim%
   \rightskip\extwidth%
   \ifptyext
   \let\source\ptyextsource%
   \else
   \let\source\playextsource%
   \fi
\fi%
\noindent\iflist\leftskip10pt\else\fi\extractfont\parindent10pt\ignorespaces%
}{%
      \par\ifnotes\addvspace{6pt plus2pt}\else\iffootnote\addvspace{4.5pt plus2pt}\else\iflist\addvspace{6.25pt plus2pt}\else\addvspace{6pt plus2pt}\fi\fi\fi\global\ptyextfalse\global\extractfalse}
%
%
\def\extsource#1{\par\raggedleft{#1}\par}
\def\playextsource#1{\hbox to \extdim{\hfill{#1}\ifnotes\hspace*{-\enumdim}\else\fi}\par}
\def\ptyextsource#1{\hbox to \extdim{\ptysourcefont\hfill{#1}}\par}
%
\def\boxextractfont{\fontsize{9}{11}\selectfont\leftskip9mm\rightskip5.75mm plus1fill}
%
\newenvironment{boxextract}{\par\addvspace{6.25pt plus2pt}%
\let\alphalist\exboxalphalist%
\let\endalphalist\endexboxalphalist%
\let\source\extsource%
\noindent\parindent9.75pt\boxextractfont%
}{%
\par\addvspace{5.75pt plus2pt}}%
%
%
\def\capextfont{\fontsize{8}{10}\selectfont\leftskip1pc\rightskip1pc plus1fill}
\newenvironment{captionextract}{\par\vspace*{6pt}%
      \capextfont
}{%
      \par\vspace*{5pt}}%
%
\def\ackfont{\fontsize{9}{11}\selectfont\leftskip30pt}
\newenvironment{acknowledgments}{\par\addvspace{23.7pt plus2pt minus.5pt}%
\noindent{\fontsize{8}{11}\selectfont\bfseries\def\spreadoutfactor{1}\hskip30pt\uppercase{\spreadout{acknowledgments}}}\par\vskip5.7pt
      \ackfont\noindent\ignorespaces 
}{%
      \par\addvspace{7.7pt plus2pt minus.5pt}}
%
\def\abhead{{\fontsize{8}{12}\selectfont\bfseries\def\spreadoutfactor{1}\spreadout{ABSTRACT}}}%
\def\abstractfont{\fontsize{10}{12}\selectfont}%
\newenvironment{abstract}{\leftskip30pt\par\addvspace{6.5pt plus2pt minus.5pt}%
      \vskip-6.7pt\noindent\abhead\par\vskip3pt%
      \noindent\abstractfont\ignorespaces%
}{%
      \par\addvspace{6.5pt plus2pt minus.5pt}}%
%
%
\def\Rheadfont{\fontsize{9}{10.5}\selectfont\bfseries}
\def\reffont{\fontsize{9}{10.5}\selectfont}
\def\Rhead#1{\par\addvspace{10.3pt plus2pt}{\noindent\Rheadfont#1\par}}
\newenvironment{bibnotes}{%
\vspace*{.2pt}\par\noindent\reffont%
}{%
\par}%
%
\def\chapfont{\fontsize{9}{10.5}\selectfont}
\def\titlefont{\fontsize{9}{10.5}\selectfont\itshape}
\newdimen\serinwidth
\newcommand\seriexmax[1]{\setbox\tempbox\hbox{\chapfont#1\hskip4.3pt}%
        \serinwidth\wd\tempbox}
%
\newcommand\l@series[3]{{%
   \noindent\@hangfrom{\hbox to \serinwidth{\chapfont#1\hfill}}%
   {\chapfont#2}\hskip3pt{\titlefont#3\par}}}
%
\def\Shead{\thispagestyle{empty}{\fontsize{10}{10}\selectfont\itshape
\noindent\hskip35.5pt New Approaches to European History \par\vskip 25.5pt}}
%
\seriexmax{10}
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  End Quotes %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  Enumerate list %%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%
\def\Color#1{\special{color push}#1\special{color pop}}
%\def\blackink{\special{color cmyk 0 0 0 1.0}}
\newskip\listtextleftmargin\listtextleftmargin \z@
\newskip\listtextleftmarginii\listtextleftmarginii\z@% \normalparindent
\newskip\listtextrightmargin
\newskip\listlabelleftskip \listlabelleftskip\z@%\normalparindent
\newskip\listlabelleftskipii \listlabelleftskipii\z@%3.3pt
\newskip\listlabelleftskipiii \listlabelleftskipiii\z@%3.3pt
\newskip\listlabelleftskipiv \listlabelleftskipiv\z@%3.3pt
\newskip\listlabelleftskipv \listlabelleftskipv\z@%3.3pt
\newskip\listlabelleftskipvi \listlabelleftskipvi\z@%3.3pt
\newskip\listlabelleftskipvii \listlabelleftskipvii\z@%3.3pt
\newskip\listlabelleftskipviii \listlabelleftskipviii\z@%3.3pt
\newskip\listlabelleftskipix \listlabelleftskipix\z@%3.3pt
\newskip\listlabelleftskipx \listlabelleftskipx\z@%3.3pt
\newskip\abovelistskipi\abovelistskipi0pt% plus2pt
\newskip\belowlistskipi\belowlistskipi0pt% plus2pt
\newskip\abovelistskipii\abovelistskipii0pt
\newskip\belowlistskipii\belowlistskipii0pt
\newskip\abovelistskipiii\abovelistskipiii\z@
\newskip\belowlistskipiii\belowlistskipiii\z@
\newskip\abovelistskipiv\abovelistskipiv\z@
\newskip\belowlistskipiv\belowlistskipiv\z@
\newskip\abovelistskipv\abovelistskipv\z@
\newskip\belowlistskipv\belowlistskipv\z@
\newskip\abovelistskipvi\abovelistskipvi0pt %plus2pt
\newskip\belowlistskipvi\belowlistskipvi0pt %plus2pt
\newskip\abovelistskipvii\abovelistskipvii0pt
\newskip\belowlistskipvii\belowlistskipvii0pt
\newskip\abovelistskipviii\abovelistskipviii\z@
\newskip\belowlistskipviii\belowlistskipviii\z@
\newskip\abovelistskipix\abovelistskipix\z@
\newskip\belowlistskipix\belowlistskipix\z@
\newskip\abovelistskipx\abovelistskipx\z@
\newskip\belowlistskipx\belowlistskipx\z@
\newskip\labelsepi \labelsepi4pt
\newskip\labelsepii \labelsepii5.1pt
\newskip\labelsepiii \labelsepiii5.1pt
\newskip\labelsepiv \labelsepiv5.1pt
\newskip\labelsepv \labelsepv5.1pt
\newskip\labelsepvi \labelsepvi5.1pt
\newskip\labelsepvii \labelsepvii5.1pt
\newskip\labelsepviii \labelsepviii5.1pt
\newskip\labelsepix \labelsepix5.1pt
\newskip\labelsepx \labelsepx5.1pt
\newdimen\enumdimwd
\newif\iflabelrightalign\labelrightaligntrue
%
\def\listdevicefonti{}
\def\listdevicefontii{}
\def\listdevicefontiii{}
\def\listdevicefontiv{}
\def\listdevicefontv{}
\def\listdevicefontvi{}
\def\listdevicefontvii{}
\def\listdevicefontviii{}
\def\listdevicefontix{}
\def\listdevicefontx{}
\def\listfont{}
\def\textlistlabel{}
%
\newif\ifdashl\dashlfalse
\newif\ifboxed\global\boxedfalse
%
\def\enummax#1{%
  \labelsep\csname labelsep\romannumeral\the\@enumdepth\endcsname
  \ifdim\listtextleftmargin>\z@\labelsepi0pt\fi
  \ifdim\listtextleftmarginii>\z@\labelsepii0pt\fi
  \setbox\tempbox\hbox{\csname listdevicefont\romannumeral\the\@enumdepth\endcsname#1\hskip\labelsep}%
  \enumdim\wd\tempbox
  \setbox\tempbox\hbox{\csname listdevicefont\romannumeral\the\@enumdepth\endcsname#1}%
  \enumdimwd\wd\tempbox
  \expandafter\global\csname leftmargin\romannumeral\the\@enumdepth\endcsname\enumdim
  \ifdim\listtextleftmargin>\z@
     \leftmargini\listtextleftmargin
     \ifdim\listlabelleftskip>\z@
        \advance\leftmargini-\listlabelleftskip
     \fi  
  \fi
  \ifdim\listtextleftmarginii>\z@
     \leftmarginii\listtextleftmarginii
     \ifdim\listlabelleftskipii>\z@
        \advance\leftmarginii-\listlabelleftskipii
     \fi  
  \fi
  \ifdim\listlabelleftskip>\z@
     \advance\leftmargini\listlabelleftskip
  \fi
  \ifdim\listlabelleftskipii>\z@
     \advance\leftmarginii\listlabelleftskipii
  \fi}
%
\enummax{1.}
%
\def\enumerate{\@ifnextchar[{\@enumerate}{\@enumerate[\csname label\@enumctr\endcsname]}}%% 
%
\newif\ifparalist
\def\@enumerate[#1]{\par
      \ifnum \@enumdepth >9 \@toodeep\else
      \advance\@enumdepth\@ne
      \edef\@enumctr{enum\romannumeral\the\@enumdepth}%
      \setcounter{\@enumctr}{1}\enummax{#1}%
      \list
      {\csname label\@enumctr\endcsname}{\usecounter{\@enumctr}%
      \topsep\csname abovelistskip\romannumeral\the\@enumdepth\endcsname
      \itemsep\csname itemsep\romannumeral\the\@enumdepth\endcsname
      \listfont\listparindent\parindent
      \ifnum \@enumdepth=1 
         \rightmargin\listtextrightmargin
         \advance\rightmargin\rightskip
         \advance\leftmargin\leftskip
         \tempdimen\leftmargini
         \advance\tempdimen-\labelsep
         \ifparalist%
         \def\makelabel##1{\hbox{\ifboxtext\else\fi\hskip\enumdim\hskip\listlabelleftskip{\csname listdevicefont\romannumeral\the\@enumdepth\endcsname\hbox{\textlistlabel##1}}}}%
         \else%
         \def\makelabel##1{\hbox to \tempdimen{\hskip\listlabelleftskip{\csname listdevicefont\romannumeral\the\@enumdepth\endcsname\hbox to \enumdimwd{\iflabelrightalign\hss\fi%
         {\textlistlabel##1}\iflabelrightalign\else\hss\fi}}}}%
         \fi%
      \else
      \ifnum \@enumdepth=2
         \tempdimen\leftmarginii
         \advance\tempdimen-\labelsep
         \ifparalist%
         \def\makelabel##1{\hbox{\ifboxtext\hskip1em\else\fi\hskip\enumdim\hskip\listlabelleftskipii{\csname listdevicefont\romannumeral\the\@enumdepth\endcsname\hbox{\iflabelrightalign\hss\fi##1}}}}%
         \else%
         \def\makelabel##1{\hbox to \tempdimen{\hskip\listlabelleftskipii{\csname listdevicefont\romannumeral\the\@enumdepth\endcsname\hbox to \enumdimwd{\iflabelrightalign\hss\fi##1}}}}%
         \fi%
      \else%
         \def\makelabel##1{\hss\llap{\csname listdevicefont\romannumeral\the\@enumdepth\endcsname##1}}%
      \fi
      \fi}\fi}
%%
\def\endenumerate{\@topsepadd\csname belowlistskip\romannumeral\the\@enumdepth\endcsname\endlist}%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% End Enumerate%
%
\def\TOCNUM#1{\hfill \hbox to\@pnumwidth{\hss\rm #1\hspace*{-\@pnumwidth}}}
\def\TOCPNUM#1{\hfill \hbox to\@pnumwidth{\hss\rm #1\hspace*{-\@pnumwidth}}}

%
%
\newif\iffigurelist
\global\figurelistfalse
%
\newif\iftablelist
\global\tablelistfalse
%
\newif\ifchapoptoc
\global\chapoptocfalse
%
\iffrontmatter
\newenvironment{arabiclist}{\par\iftablelist\vspace*{0pt}\else\iffigurelist\vspace*{0pt}\else\fi\fi\raggedright%%
\iffigurelist
 \def\listfont{\rightskip\@pnumwidth}
  \abovelistskipi0pt
  \belowlistskipi0pt
%  \labelsepi9.4pt
  \itemsepi0pt
\listlabelleftskip34.2pt
\listtextleftmargin48pt
\else
\iftablelist
 \def\listfont{\rightskip\@pnumwidth}
  \abovelistskipi0pt
  \belowlistskipi0pt
%  \labelsepi9.4pt
  \itemsepi0pt
\listlabelleftskip26.4pt
\listtextleftmargin48pt
\else
 \def\listfont{}
  \abovelistskipi0pt% plus2pt
  \belowlistskipi0pt% plus2pt
  \labelsepi11.1pt
  \itemsepi0pt
\fi
\fi
 \def\theenumi{\arabic{enumi}}\def\theenumii{\arabic{enumii}}%
  \def\theenumiii{\arabic{enumiii}}\def\theenumiv{\arabic{enumiv}}%
  \begin{enumerate}%
}{%
  \end{enumerate}}
%
\else
\newenvironment{arabiclist}{%
\ifparalist
\leftskip-13pt
\listtextleftmargin0pt
\listlabelleftskip0pt
\fi
\listtextleftmargin48pt
\abovelistskipi6.5pt plus2pt
\belowlistskipi6.5pt plus2pt
  \def\theenumi{\arabic{enumi}}\def\theenumii{\arabic{enumii}}%
  \def\theenumiii{\arabic{enumiii}}\def\theenumiv{\arabic{enumiv}}%
%  \renewcommand\labelenumi{\theenumi.}
%  \renewcommand\labelenumii{\theenumii.}
  \begin{enumerate}%
}{%
  \end{enumerate}\global\paralistfalse}
\fi
%
\newenvironment{exarabiclist}{%
\abovelistskipi0pt% plus2pt
%\belowlistskipi6.5pt plus2pt
  \def\theenumi{\arabic{enumi}}\def\theenumii{\arabic{enumii}}%
  \def\theenumiii{\arabic{enumiii}}\def\theenumiv{\arabic{enumiv}}%
%  \renewcommand\labelenumi{\theenumi.}
%  \renewcommand\labelenumii{\theenumii.}
  \begin{enumerate}%
}{%
  \end{enumerate}\global\paralistfalse}
%
%
\newenvironment{romanlist}{%\listtextleftmargin 35.3pt%
\listtextleftmargin4pc
\labelsepi0pt plus1fill
  \def\theenumi{\roman{enumi}}\def\theenumii{\roman{enumii}}%
  \def\theenumiii{\roman{enumiii}}\def\theenumiv{\roman{enumiv}}%
%  \renewcommand\labelenumi{(\roman{enumi})}
  \begin{enumerate}%
}{%
  \end{enumerate}}
%
\newenvironment{boxalphalist}{\par%
\ifexample
\vspace*{1pt}
\rightskip-3.5pc plus1fill
\def\listfont{\fontsize{9.5}{12}\selectfont}
\def\listdevicefonti{\fontsize{9.5}{12}\selectfont}
\fi
%\listlabelleftskip6pt%
\listtextleftmargin3.5pc
\labelsepi0pt plus1fill
  \def\theenumi{\alph{enumi}}\def\theenumii{\alph{enumii}}%
  \def\theenumiii{\alph{enumiii}}\def\theenumiv{\alph{enumiv}}%
  \renewcommand\labelenumi{\Alph{enumi}.}
  \renewcommand\labelenumii{\alph{enumii}.}
  \begin{enumerate}%
}{%
  \end{enumerate}\global\examplefalse}
%
\newenvironment{alphalist}{\par%
\ifexample
\vspace*{1pt}
\raggedright
\def\listfont{\fontsize{9.5}{12}\selectfont}
\def\listdevicefonti{\fontsize{9.5}{12}\selectfont}
\fi
\ifparalist
\listtextleftmargin0pt
\listlabelleftskip0pt
\fi
\listtextleftmargin4pc
\labelsepi0pt plus1fill
  \def\theenumi{\alph{enumi}}\def\theenumii{\alph{enumii}}%
  \def\theenumiii{\alph{enumiii}}\def\theenumiv{\alph{enumiv}}%
%  \renewcommand\labelenumi{\alph{enumi}.}
%  \renewcommand\labelenumii{\alph{enumii}.}
  \begin{enumerate}%
}{%
  \end{enumerate}\global\examplefalse}%
%
\newenvironment{Romanlist}{%
\ifchapoptoc
\def\listdevicefonti{\bfseries}
\labelsepi5.5pt
\else
\fi
  \def\theenumi{\Roman{enumi}}\def\theenumii{\Roman{enumii}}%
  \def\theenumiii{\Roman{enumiii}}\def\theenumiv{\Roman{enumiv}}%
  \begin{enumerate}%
}{%
  \end{enumerate}}
%
\newenvironment{Alphalist}{%
  \def\theenumi{\Alph{enumi}}\def\theenumii{\Alph{enumii}}%
  \def\theenumiii{\Alph{enumiii}}\def\theenumiv{\Alph{enumiv}}%
  \begin{enumerate}%
}{%
  \end{enumerate}}
%
\newcommand\Item{\par\noindent\hangindent11.2pt\refstepcounter{ncount}\thencount.\hskip4pt\ignorespaces}
\newenvironment{caparabiclist}{\par\vspace*{6pt}\hsize\figwidth
\setcounter{ncount}{0}
\let\item\Item
}{\par\vspace*{6pt}}
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  unnumlist %%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
\newskip\unnumlistmargin\unnumlistmargin2em
\newskip\fmunnumlistmargin\fmunnumlistmargin48pt
\newskip\serunnumlistleftmargin\serunnumlistleftmargin0pt plus1fill
\newskip\serunnumlistrightmargin\serunnumlistrightmargin0pt plus1fill
\def\secunnumlistfont{\fontsize{9}{11}\selectfont\raggedright}
\def\serunnumlistfont{\reset@font\fontsize{10}{11}\selectfont\scshape\spaceskip2.2pt}
\def\sertitunnumlistfont{\reset@font\fontsize{8}{10}\selectfont}
%
\iffrontmatter
   \newenvironment{unnumlist}{\par\raggedright\ifseries\sertitunnumlistfont\else\fi%
       \list{}{%
       \listparindent\parindent
       \itemindent-8pt
       \leftmargin56pt
       \parsep0pt
       \itemsep0pt
       \topsep0pt
       \partopsep0pt}
       \def\makelable##1{##1}%
   }{%
       \endlist
   }%
\else
\ifseriespage
   \newenvironment{unnumlist}{\par\sertitunnumlistfont%
\let\unnumlist\serunnumlist
\let\endunnumlist\endserunnumlist
       \list{}{%
       \listparindent\parindent
       \itemindent\z@
       \leftmargin\fmunnumlistmargin
       \parsep0pt
       \itemsep0pt
       \topsep0pt% plus2pt
       \partopsep0pt}
       \def\makelable##1{##1}%
   }{%
       \endlist
   }%
\else
\newenvironment{unnumlist}{%
    \list{}{%
    \listparindent\parindent%
    \itemindent0pt%
    \leftmargin0pt%
    \parsep0pt%
    \itemsep0pt%
    \topsep0pt%
    \partopsep0pt}
    \def\makelable##1{##1}%
}{%
    \endlist
}%
\fi\fi
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%% itemize (bullet) %%%%%%%%%%%%%%%%%%%%%%%%%%
%
%
\newdimen\itemleftmargin \itemleftmargin\z@ % won't be active in enumerate
\newdimen\itemleftmargini \itemleftmargini\z@ % won't be active in enumerate
\newdimen\itemleftmarginii \itemleftmarginii\z@ % won't be active in enumerate
\newdimen\itemleftmarginiii \itemleftmarginiii\z@ % won't be active in enumerate
\newdimen\itemlabelsepi \itemlabelsepi6.5\p@ % labelsep in itemize for all levels
\newdimen\itemlabelsepii\itemlabelsepii3.65\p@ 
%
\def\itemize{%
  \ifnum \@itemdepth >3 \@toodeep\else\ifnum\@enumdepth>0\@itemdepth\@enumdepth\fi \advance\@itemdepth \@ne
     \edef\@itemitem{labelitem\romannumeral\the\@itemdepth}%
     \list{\csname\@itemitem\endcsname}%
        {%
        \topsep\csname abovelistskip\romannumeral\the\@itemdepth\endcsname%\fi
        \itemsep\csname itemsep\romannumeral\the\@itemdepth\endcsname
        \labelsep\csname itemlabelsep\romannumeral\the\@itemdepth\endcsname
        \listfont
        \setbox\tempbox\hbox{\csname\@itemitem\endcsname}
        \csname leftmargin\romannumeral\the\@itemdepth\endcsname\wd\tempbox
        \advance\csname leftmargin\romannumeral\the\@itemdepth\endcsname\csname itemlabelsep\romannumeral\the\@itemdepth\endcsname
        \ifnum\@itemdepth=\@ne\ifnum\@enumdepth=0 % if not inside an enumerate
           \rightmargin\listtextrightmargin
           \advance\rightmargin\rightskip
           \advance\csname leftmargin\romannumeral\the\@itemdepth\endcsname\itemleftmargin
           \advance\leftmargini\itemleftmargini%\leftskip
        \else
        \advance\csname leftmargin\romannumeral\the\@itemdepth\endcsname\itemleftmargin
           \advance\leftmarginii\itemleftmarginii%\leftskip
        \fi\fi
        \leftmargin\csname leftmargin\romannumeral\the\@itemdepth\endcsname
        \def\makelabel##1{\hss\llap{##1}}}
   \fi}%
%
\def\enditemize{%
\@topsepadd\csname belowlistskip\romannumeral\the\@itemdepth\endcsname%\fi
\endlist}
%
%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%% enumroman (i) %%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%
\newenvironment{bulletlist}{%
\let\alphalist\bullalphalist
\let\endalphalist\endbullalphalist
\let\romanlist\bullromanlist
\let\endromanlist\endbullromanlist
\itemlabelsepi42.7\p@
\itemlabelsepii3.5\p@
\itemleftmargin0pt
\abovelistskipi6.5pt plus2pt
\belowlistskipi6.5pt plus2pt
\renewcommand\labelitemi{\textbullet}%
   \renewcommand\labelitemii{\textbullet}%
   \renewcommand\labelitemiii{\textbullet}%
   \renewcommand\labelitemiv{\textbullet}%
   \begin{itemize}
}{%
   \end{itemize}}
%
\newenvironment{boxbulletlist}{%
\let\romanlist\bullromanlist
\let\endromanlist\endbullromanlist
\itemleftmargini6pt
\itemlabelsepi3.3\p@
\itemlabelsepii3.5\p@
\renewcommand\labelitemi{\fntextbullet}%
   \renewcommand\labelitemii{\fntextbullet}%
   \renewcommand\labelitemiii{\fntextbullet}%
   \renewcommand\labelitemiv{\fntextbullet}%
   \begin{itemize}
}{%
   \end{itemize}}
%
\newenvironment{tabbulletlist}{\par\raggedright%
\itemlabelsepi2.7\p@
\itemlabelsepii2.7\p@
\renewcommand\labelitemi{\fntextbullet}%
   \renewcommand\labelitemii{\fntextbullet}%
   \renewcommand\labelitemiii{\fntextbullet}%
   \renewcommand\labelitemiv{\fntextbullet}%
   \begin{itemize}
}{%
   \end{itemize}}
%
\newenvironment{hyphenlist}{%
\abovelistskipi0pt
\belowlistskipi0pt
\itemleftmargin.3pt
\itemlabelsep5.2pt
\renewcommand\labelitemi{\normalfont\bfseries \textendash}%
   \renewcommand\labelitemii{\normalfont\bfseries \textendash}%
   \renewcommand\labelitemiii{\normalfont\bfseries \textendash}%
   \renewcommand\labelitemiv{\normalfont\bfseries \textendash}%
   \begin{itemize}
}{%
   \end{itemize}}
%
\newenvironment{asterisklist}{%
   \renewcommand\labelitemi{\textasteriskcentered}%
   \renewcommand\labelitemii{\textasteriskcentered}%
   \renewcommand\labelitemiii{\textasteriskcentered}%
   \renewcommand\labelitemiv{\textasteriskcentered}%
   \begin{itemize}
}{%
   \end{itemize}}
%
\newenvironment{caselist}{%
   \def\textlistlabel{Case\ }%
   \begin{enumerate}
}{%
   \end{enumerate}
}
%
\newenvironment{steplist}{%
   \def\textlistlabel{Step\ }%
   \begin{enumerate}
}{%
   \end{enumerate}
}
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%% npara %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
\def\NPARfont{}
\newcounter{ncount}
\newenvironment{npara}{\par %\addvspace{6.5pt plus2pt minus.5pt}%
   \NPARfont
%   \hsize\textwidth%27pc
   \setcounter{ncount}{0}%
   \def\item{\addtocounter{ncount}{1}\arabic{ncount}.\hskip.5em\ignorespaces}%
}{%
   \par\@endparenv}%\addvspace{6.5pt plus2pt minus.5pt}
%
%
\newenvironment{applist}{\vspace*{-6pt}\par%
    \list{}{%
    \listparindent\parindent
    \itemindent-2em
    \leftmargin2em
    \parsep0pt
    \itemsep0pt
    \partopsep0pt}
    \def\makelable##1{##1}%
}{
\par%\vspace*{-6pt}
}
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%% splist %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  comment %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
\def\marginfont{\fontsize{9}{10}\selectfont\bfseries\raggedright}
\newcommand{\comment}[1]{%
 \setlength\overfullrule{0pt}%
 \ifodd\c@page
    \marginpar{%
    \parbox{8pc}{\par\vskip-1.5pt\marginfont please check.\par}}%
    \fboxsep.1pt\fbox{#1}%
 \else
    \marginpar{%
    \parbox{8pc}{\par\vskip-1.5pt\marginfont please check.\par}}
    \fboxsep.1pt\fbox{#1}\fi}
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  Floats %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
\def\caption{\refstepcounter\@captype \@dblarg{\@caption\@captype}}
\long\def\@caption#1[#2]#3{%
  \par
%  \addcontentsline{\csname ext@#1\endcsname}{#1}%
%    {\protect\numberline{\csname the#1\endcsname}{\ignorespaces #2}}%
  \begingroup
    \@parboxrestore
    \if@minipage
      \@setminipage
    \fi
    \normalsize
    \@makecaption{\csname fnum@#1\endcsname}{\ignorespaces #3}\par
  \endgroup}
%
\def\unnumcaption{\@dblarg{\@unnumcaption\@captype}}
\long\def\@unnumcaption#1[#2]#3{%
  \par
%  \addcontentsline{\csname ext@#1\endcsname}{#1}%
%    {\protect\numberline{\csname the#1\endcsname}{\ignorespaces #2}}%
  \begingroup
    \@parboxrestore
    \if@minipage
      \@setminipage
    \fi
    \normalsize
    \@makecaption{}{\ignorespaces #3}\par
  \endgroup}
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  Floats %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
\setcounter{topnumber}{5}
\renewcommand\topfraction{.9}
\setcounter{bottomnumber}{5}
\renewcommand\bottomfraction{.9}
\setcounter{totalnumber}{5}
\renewcommand\textfraction{.09}
\renewcommand\floatpagefraction{.901}
\setcounter{dbltopnumber}{1}
\renewcommand\dbltopfraction{.9}
\renewcommand\dblfloatpagefraction{.901}
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 29/4/2003 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
\AtBeginDocument{\setfloattextfractions}
%
%
\begingroup
  \catcode`P=12
  \catcode`T=12
  \lowercase{
    \def\@x{%
       \def\rem@only@pt##1.##2PT{##1.##2}%
       \def\rem@decimal@pt##1.##2PT{##1}%
       }}
  \expandafter\endgroup\@x
\def\strip@only@pt{\expandafter\rem@only@pt\the}
\def\truncate@pt{\expandafter\rem@decimal@pt\the}
%
\def\setfloattextfractions{%
   \@tempdima\textheight\edef\@tempa{\truncate@pt\baselineskip}%
   \divide\@tempdima\@tempa
   \@tempdimb\lines@per@floatpage pt
   \multiply\@tempdima100\multiply\@tempdimb100
   \edef\@tempa{\truncate@pt\@tempdima}%
   \divide\@tempdimb\@tempa
   \@tempdima 1pt\advance\@tempdima-\@tempdimb
%
   \xdef\topfraction{\strip@only@pt\@tempdima}%
   \xdef\bottomfraction{\strip@only@pt\@tempdima}%
   \xdef\textfraction{\strip@only@pt\@tempdimb}%
   \xdef\dbltopfraction{\strip@only@pt\@tempdima}%
   \advance\@tempdima0.01pt
   \xdef\floatpagefraction{\strip@only@pt\@tempdima}%
   \xdef\dblfloatpagefraction{\strip@only@pt\@tempdima}%
}%
%
\def\lines@per@floatpage{4}
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
\newlength\abovecaptionskip
\newlength\belowcaptionskip
\setlength\abovecaptionskip{9.6\p@}
\setlength\belowcaptionskip{8.5\p@}
%
\def\FigName{figure}
%
\long\def\@makecaption#1#2{\gdef\nopara{yes}%
    \ifx\FigName\@captype
      \vskip\abovecaptionskip
      \@makefigurecaption{#1}{#2}%
    \else
      \@maketablecaption{#1}{#2}%
      \vskip\belowcaptionskip
    \fi
}
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  Figures %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
\newif\ifFP
\global\FPfalse
\newif\ifCO
\global\COfalse
%
\newcounter{figure}[chapter]
%%%\renewcommand\thefigure{\thechapter.\@arabic\c@figure}
\renewcommand\thefigure{\@arabic\c@figure}
\def\fps@figure{tbp}
\def\ftype@figure{1}
\def\ext@figure{lof}
\def\fnum@figure{Figure\ \thefigure}
\newenvironment{figure}
               {\@float{figure}}
               {\end@float}
\newenvironment{figure*}
               {\@dblfloat{figure}}
               {\end@dblfloat}
%
\def\@makefigurecaption#1#2{\figcaptionfont\let\source\figsource%
    \setbox\tempbox\hbox{\figcaptionfont{\figcaptionnumfont #1}\hskip8.2pt#2\par}%
		\noindent{\figcaptionfont{\noindent\figcaptionnumfont#1}\hskip8.2pt #2\par}%\floatgraybox{\fig@id}
    }%
%
\def\ArtDir{}%
%
%
\newbox\figtempbox
\def\ArtPiece#1{\epsfbox{\ArtDir#1}}%
%
\def\figurebox#1#2#3{%
    \@ifnextchar[{\@figurebox{#1}{#2}{#3}}{\@figurebox{#1}{#2}{#3}[]}}
%
\def\@figurebox#1#2#3[#4]{\overfullrule0pt%
      \gdef\CO{CO}
      \gdef\FP{FP}
      \gdef\@thirdarg{#3}%
      \gdef\@frtharg{#4}%
      \ifx\@frtharg\empty
         \global\figheight=#1
         \global\figwidth=#2
         \ifx\@thirdarg\empty \FPfalse\COfalse\fi
      \else 
%%% for CO and FPO figure conditions
         \ifx\@thirdarg\empty \FPfalse\COfalse
         \else
           \ifx\@thirdarg\FP \FPtrue
           \else
             \ifx\@thirdarg\CO \COtrue
             \else
             \fi
           \fi
         \fi  
%%%
         \setbox\figtempbox=\hbox{\epsfbox{\ArtDir \ifCO #3-\else\ifFP#3-\fi\fi#4}}%
         \global\figwidth=\wd\figtempbox
         \global\figheight=\ht\figtempbox
       \fi
    \ifdim\figwidth < 24.1pc %
           \vbox to 0pt{\hspace*{4pc}\leftline{\figbox}}%
          \else
          \vbox to 0pt{\leftline{\figbox}}%
    \fi
%%% for marginal note
     \vskip-\baselineskip
     \ifodd\c@page
       \vtop to \figheight{\vfill\llap{\marginfont\ifFP 4-Color Artwork
                                                  \else\ifCO 4-Color Artwork
                                                  \else\fi\fi\hskip0.5pc}\vfill}%
     \else
       \vtop to \figheight{\vfill\llap{\marginfont\ifFP 4-Color Artwork
                                                  \else\ifCO 4-Color Artwork
                                                  \else\fi\fi\hskip0.5pc}\vfill}%
     \fi
%%%
}%
%%%%
\def\fpofigbox#1{\FPtrue\def\@fpo{#1}}
%
%
%
\def\figbox{%
     \ifx\@frtharg\empty  
       \noindent\vbox{\hsize\figwidth%
	      \hrule\hbox to\figwidth{\vrule\hfill\vbox to\figheight{\hsize\figwidth\vfill}\vrule}\hrule}%
     \else
        \vbox{\vskip.8pt\hsize\figwidth
 	      \hbox to\figwidth{\vbox to\figheight{\hsize\figwidth\box\figtempbox}}}%
     \fi
     \ifCO\else\ifFP\vbox to 0pt{\vskip-.6\figheight\llap{\hbox to \figwidth{%
             \hfill\blackink\vrule height20pt width220pt depth5pt\whiteink
             \llap{\fontsize{26}{26}\selectfont\bfseries FPO scaled at \@fpo\%}\blackink\hfill}}}%
     \FPfalse\fi\fi%
}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  Tables %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
\def\headnote#1{\par\vspace*{-7pt}\noindent{\fontsize{8}{10}\selectfont #1\par\vspace*{-12.2pt}}}
%
\newif\ifnocaption\global\nocaptionfalse%
%
\newcounter{table}[chapter]
\renewcommand\thetable{\thechapter.\@arabic\c@table}
\def\fps@table{tbp}
\def\ftype@table{2}
\def\ext@table{lot}
\def\fnum@table{\tablename\ \thetable}
\newenvironment{table}
               {\@float{table}}
               {\end@float\global\nocaptionfalse}
\newenvironment{table*}
               {\@dblfloat{table}}
               {\end@dblfloat}
%
\newenvironment{Table}
               {\par\ifboxenv\addvspace{1pt}\else\ifexample\vspace*{0pt}\else\addvspace{6pt}\fi\fi\def\@captype{table}}
               {\par\ifboxenv\vspace*{-5.6pt}\else\ifexample\vspace*{-2pt}\else\addvspace{16pt plus2pt}\fi\fi}%\global\nocaptionfalse%\global\nocaptionfalse
%
\newenvironment{unnumtable}
               {\def\@captype{table}\let\caption\unnumcaption%
                \par\setbox\tempbox\vbox\bgroup}
               {\par\egroup\global\nocaptionfalse}
%
\def\@maketablecaption#1#2{%
     {\tablecaptionfont\noindent{\reset@font\tablecaptionnumfont #1}\hspace*{4.5pt}#2\vphantom{y}\par}}%
%
\newskip\tabnoteleftskip
\newskip\tabnoterightskip
\newdimen\tablewidth
\newbox\tempabox
\def\tbl{\@ifnextchar[{\@tbl}{\@tbl[]}}%
\def\@tbl[#1]#2#3{\vskip.6pt\setbox\tempabox\hbox{#1}%\refstepcounter{table}
  \setbox\tempbox\hbox{\tablefont#3}%
  \global\tablewidth\wd\tempbox
  \ifdim\tablewidth>24pc
     \tabledim\hsize
     \advance\tabledim-\tablewidth
     \ifdim\tabledim>0pt
% 		 		\divide\tabledim2
     \else
     			\global\tabledim0pt
     \fi
          \global\tableleftskip0pt%%\tabledim%% 
          \global\tablerightskip\tabledim plus1fill%%
          \global\tabnoteleftskip0pt
          \global\tabnoterightskip\tabledim
          \ifdim\wd\tempabox>\z@
             \caption{#2\endgraf#1}%
          \else 
             \caption{#2}%
          \fi   
          \leftline{\box\tempbox}
  \else
     \tabledim\hsize
     \advance\tabledim-\tablewidth
     \advance\tabledim-4pc
     \ifdim\tabledim>0pt
   %		 		\divide\tabledim2
     \else
     			\global\tabledim0pt
     \fi
          \global\tableleftskip4pc 
          \global\tablerightskip\tabledim plus1fill
          \global\tabnoteleftskip4pc
          \global\tabnoterightskip\tabledim
          \ifdim\wd\tempabox>\z@
             \caption{#2\endgraf#1}%
          \else 
             \caption{#2}%
          \fi   
          \leftline{\hskip4pc\box\tempbox}%
 \fi
\vskip-18pt}
%
\newif\ifnobotrule\global\nobotrulefalse%
\newif\ifnotoprule\global\notoprulefalse%
%
\def\TCH#1{\TCHfont#1}%
%
\def\x{@{\extracolsep{\fill}}}
\def\toprule{\\[-14.5pt]\Hline\\[-10pt]\Hline\\[-7.4pt]}
\def\colrule{\\[-9.6pt]\Hline\\[-7.5pt]}
\def\botrule{\\[-9.4pt]\Hline\\[-10pt]\Hline\\[14pt]}
\def\Colrule{\\[-8.6pt]\hline\\[-8.2pt]}
\def\Botrule{\\[-7.3pt]\Hline\\[-10pt]\Hline\\[-3.8pt]}
\def\crule#1{\\[-15.5pt]#1\\[-24.2pt]}
%
\def\Hline{%
  \noalign{\ifnum0=`}\fi\hrule \@height .5pt \futurelet%\@height \arrayrulewidth
   \@tempa\@xhline}
%
\newcounter{tabnote}[table]
\renewcommand\thetabnote{\alph{tabnote}}
%
\def\tabnoteentry#1#2{\par\noindent{\@hangfrom{$^{#1}$\hskip2pt}#2\par}}
\newenvironment{tabnote}{\leftskip\tabnoteleftskip\rightskip\tabnoterightskip%
  \par%\vskip23.8pt%
\let\cellfont\tabnotefont%
  \tabnotefont
}{%
  \par\vskip12pt}
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  End Floats %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  Math %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
\setlength\arraycolsep{1.5\p@}
\setlength\tabcolsep{12\p@}
\setlength\arrayrulewidth{.4\p@}
\setlength\doublerulesep{2\p@}
\setlength\tabbingsep{\labelsep}
\setlength\fboxsep{3\p@}
\setlength\fboxrule{.4\p@}
%
\setlength\columnsep{10\p@}
\setlength\columnseprule{0\p@}
%
\@addtoreset{equation}{chapter}
\renewcommand\theequation{\arabic{equation}}
\def\@eqnnum{{\reset@font\rmfamily\quad (\theequation)}}
%
\def\bstrut{\vrule width0pt depth6pt}
\def\tstrut{\vrule width0pt height9pt}
\jot=3pt
%
%\def\text#1{\hbox{\scriptsize #1}}%
\def\text#1{\mathchoice
										{\hbox{\fontsize{\tf@size}{\tf@size}\selectfont#1}}%
										{\hbox{\fontsize{\tf@size}{\tf@size}\selectfont#1}}%
										{\hbox{\fontsize{\sf@size}{\sf@size}\selectfont#1}}%
										{\hbox{\fontsize{\ssf@size}{\ssf@size}\selectfont#1}}}
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  End Math %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  Footnote %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
\renewcommand\footnoterule{%
  \kern-3\p@
  \hrule width .4\columnwidth
  \kern 2.6\p@}
\renewcommand\footnoterule{}%
\@addtoreset{footnote}{chapter}
\renewcommand\thefootnote{\arabic{footnote}}
%
\def\@fnsymbol#1{\ifcase#1\or *\or \dagger\or \ddagger\or
   \SS\or \|\or \#\or **\or \dagger\dagger\or \ddagger\ddagger 
   \or \SS\SS \or \|\hskip-1pt\|\or \#\#\or ***\or 
   \dagger\dagger\dagger\or \ddagger\ddagger\ddagger\else\@ctrerr\fi\relax}
%
%\def\@makefnmark{}%
\def\@makeFNmark{\hbox{\@textsuperscript{\normalfont\@thefnmark}}}%
%
\newdimen\@footmax
\def\footmax#1{%
  \setbox\tempbox\hbox{\footnotesize$^{#1}$\hskip.35em}%
  \global\@footmax\wd\tempbox}
%
\footmax{1}
%
\long\def\@makefntext#1{%\footnotetrue%
\def\listdevicefonti{\footnotesize}
\def\listdevicefontii{\footnotesize}
\footenvtrue
%    \setbox\tempbox\hbox{#1}%
%    \ifx\@shortfn\empty\else\@shortfn{}\par\gdef\@shortfn{}\fi%
    \noindent\@hangfrom{\hbox to \@footmax{\hfill\llap{\smash\@makefnmark}\hskip.35em}}{#1}\global\footenvfalse}
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  End Footnote %%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%
%
\def\endnotesfont{\fontsize{9}{10.5}\selectfont}
\def\notesfont{\fontsize{9}{10.5}\selectfont}
%
\newcounter{note}
%
\newwrite\@mainnotes
%
\def\endnote#1{{\addtocounter{note}{1}%
     \def\break{\string\break}%
     \def\it{\string\it\,}%
     \def\bf{\string\bf\,}%
     \def\bi{\string\bfseries\string\itshape\,}%
     \def\qtoa##1{\string\qtoa}% \setbox\string\qtoabox\hbox{##1}}%
     $^{\hbox{\scriptsize\thenote}}$\immediate\write\@mainnotes{\string\item[\thenote]{#1}}}}%
%
\def\notesextractfont{\fontsize{8}{10}\selectfont}
%
\newenvironment{notesextract}{\par\addvspace{8pt}%
\notesextractfont\noindent\unskip\ignorespaces
}{%
\par\addvspace{7.5pt}}%
%
%\let\footnote\endnote
%
\def\notesptyfont{\fontsize{8}{10}\selectfont\leftskip52pt\rightskip0pt plus1fill}
\def\notesptysourcefont{\fontsize{8}{9}\selectfont\rightskip0pt plus1fill}
%
\newdimen\notespoetrytextwidth
%
\newenvironment{notespoetry}[1]{\par\addvspace{8pt}
\setbox\tempbox\hbox{\notesptyfont#1}
\global\notespoetrytextwidth\wd\tempbox
\notesptyfont\parindent-1em\hskip-1em%
}{%
\par\addvspace{6pt plus2pt}\@endparenv}
%
\def\notessource#1{\par\vskip1.75pt
\notesptysourcefont%
\noindent\hbox to\notespoetrytextwidth{\hfill\begin{tabular}{@{}r@{}}#1
\end{tabular}}\vspace*{1.3pt}}
%
\def\notesmax#1{%
\setbox\tempbox=\hbox{\endnotesfont#1}%
\expandafter\global\csname leftmargin\romannumeral\the\@enumdepth\endcsname\wd\tempbox
\gdef\@notesmax{\endnotesfont#1\hskip\labelsep}%
}%
%
%
\notesmax{1}
%
\def\Enumerate{\def\break{\break}%
     \def\it{\itshape}%
     \def\bf{\bfseries}%
     \def\bi{\bfseries\itshape}%
     \let\qtoa\Qauthor%
     \@ifnextchar[{\@Enumerate}{\@Enumerate[\csname label\@enumctr\endcsname]}}%
%
\def\@Enumerate[#1]{\let\Intexttable\footIntexttable\let\extract\footextract\par
     \ifnum \@enumdepth >9 \@toodeep\else
           \advance\@enumdepth \@ne
           \edef\@enumctr{enum\romannumeral\the\@enumdepth}%
           \notesmax{\@notesmax}\list{\csname label\@enumctr\endcsname}{\endnotesfont\leftmargin8.75pt\topsep 6\p@ \@plus3\p@\itemsep0pt\labelsep3.75pt\parsep0pt\usecounter{\@enumctr}%
           \def\makelabel##1{\hss\llap{##1}}}%
           \fi}%
\def\endEnumerate{\endlist\par}
%
\def\@notethanks{}%
\def\notethanks#1{\gdef\@notethanks{{\footnotesize#1}}}
%
\def\makenotes{%
%\immediate\write\@mainnotes{\string\end{Enumerate}}%
  \immediate\closeout\@mainnotes
  \let\displaylist\ndisplaylist
  \let\displayentry\ndisplayentry
  \makeatletter\endnotesfont%\small
  \ifnum\c@notes = 1%
    \YHead{Notes}%
    \vskip-10pt
     \enummax{}
      \ifnum\c@notes<10\else\fi%
      \else
        \YHead{Notes}%
    \vskip-11.5pt
          \ifnum\c@notes<10\else\fi%
    \fi\vskip1pt
   \@input{\jobname.not}}
%
%
\def\notestitle#1{#1\par}
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% End Notes  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 
%%%%%%%%%%%%%%%%%%%%%%
\newdimen\firstdimen%
\newdimen\seconddimen%
\newenvironment{dcllist}[1][\relax]{\par\vskip2.8pt%
\setbox\tempbox\hbox{#1}
\global\firstdimen\wd\tempbox
\seconddimen\textwidth%
\advance\seconddimen-21.6pt%
\global\advance\seconddimen-\firstdimen%
\parindent0pt
\def\parahead##1{\noindent{\bfseries##1}\cr\noalign{\vskip20pt}}
\begin{tabular}{@{}p{\firstdimen}@{\hskip8pt}p{\seconddimen}@{}}
}{%
\end{tabular}
\par}
%
% 
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  Page styles  %%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%
\def\oddfolio{{\foliofont\thepage}}
\def\evenfolio{{\foliofont\thepage}}
%
\def\bookmark#1{\gdef\@bookmark{#1}}
\def\@bookmark{}
%
\def\RunningTitles#1{\gdef\@partmark{#1}}
\def\@partmark{}
%
\def\Copyright{\leavevmode\raise1.35pt\hbox{{\fontsize{7}{9}\selectfont{\ooalign{\hfil\raise-.25pt\hbox{\fontsize{5.5}{9}\selectfont C\hskip.5pt}%
                \hfil\crcr\mathhexbox20D}}}}}
%
%\def\Copyright{\raise.75pt\hbox{\fontsize{7}{7}\selectfont\ooalign{\hfil\hbox{\kern-.07pt c}\hfil\crcr\mathhexbox20D}}}
\def\copyright{\leavevmode\raise.75pt\hbox{\fontsize{7}{7}\selectfont\ooalign{\hfil\hbox{\kern-.07pt c}\hfil\crcr\mathhexbox20D}}}
%
\newif\ifnonum\global\nonumfalse
%
\def\ps@headings{%
    \let\@oddfoot\@empty\let\@evenfoot\@empty
     \def\@evenhead{\vbox{\hbox to \textwidth{\hbox to 4pc{\rlap{\evenfolio}}{{\rhlfont\leftmark\vphantom{hfgj}\hfill}}}\par\vskip4.4pt%
      \hbox to \typewidth{\vrule height.5pt width\typewidth}}}
    \def\@oddhead{\hfill}%
%
     \def\@oddhead{\vbox{\hbox to \textwidth{\hfill{\rhrfont\rightmark\vphantom{hfgj}}\rlap{\hbox to 4pc{\hfill\oddfolio}}}\par\vskip3.2pt%
     \hbox to \typewidth{\vrule height.5pt width\typewidth}}}
%
    \let\@mkboth\markboth
    \def\chaptermark##1{\markboth{\lowercase{##1}}{##1}}%
    \def\sectionmark##1{\markright{\ifnonum\else\thesection\ \fi{##1}}}
    }
%
%
%
\def\ps@fmbmheadings{%
    \let\@oddfoot\@empty\let\@evenfoot\@empty
     \def\@evenhead{\vbox{\hbox to \textwidth{\hbox to 4pc{\rlap{\evenfolio}}{{\rhrfont\leftmark\vphantom{hfgj}\hfill}}}\par\vskip2.7pt%
      \hbox to \typewidth{\vrule height.5pt width\typewidth}}}
    \def\@oddhead{\hfill}%
%
     \def\@oddhead{\vbox{\hbox to \textwidth{\hfill{\rhrfont\rightmark}\rlap{\hbox to 4pc{\hfill\oddfolio\vphantom{hfgj}}}}\par\vskip2.5pt%
     \hbox to \typewidth{\vrule height.5pt width\typewidth}}}
%
    \let\@mkboth\markboth
    \def\chaptermark##1{\markboth{##1}{##1}}%
%    \def\sectionmark##1{\markright{##1}}
    }
%
%
%
%
\ifprinter
\def\ps@empty{%
      \def\@oddfoot{}%
      \let\@evenfoot\@oddfoot
      \def\@evenhead{}%
      \def\@oddhead{}%
      \let\@mkboth\markboth
      \let\chaptermark\@gobble
      \let\sectionmark\@gobble}
\else
\def\ps@empty{%
      \def\@oddfoot{\hfill\lower\blindfoliodrop\hbox{\thepage}\hfill}
      \let\@evenfoot\@oddfoot
      \def\@evenhead{}%
      \def\@oddhead{}%
      \let\@mkboth\markboth
      \let\chaptermark\@gobble
      \let\sectionmark\@gobble%
}
\fi
%
\def\ps@myplain{\let\@mkboth\@gobbletwo%
    \def\@oddfoot{\vbox{\ignorespaces
    \hbox to \textwidth{\bottomline\hfill}}}%
    \def\@evenfoot{\vbox{\ignorespaces
    \hbox to \textwidth{\bottomline\hfill}}}%
       \def\@evenfoot{\raise5pt\hbox{\dropfoliofont\thepage A}\hfill}%
       \def\@oddfoot{\hfill\raise5pt\hbox{\dropfoliofont\thepage A}}%
       \def\@evenhead{\noindent\hspace*{31pt}\epsfxsize10.5pc\epsfbox{CUPNEWlogo-N.eps}}%
       \def\@oddhead{\noindent\hspace*{31pt}\epsfxsize10.5pc\epsfbox{CUPNEWlogo-N.eps}}}
%
\def\ps@plain{\let\@mkboth\@gobbletwo%
       \def\@evenfoot{\hbox{\dropfoliofont\thepage\vphantom{169}}\hfill}%
       \def\@oddfoot{\hfill\rlap{\hbox to 48pt{\hfill\dropfoliofont\thepage\vphantom{169}}}}%
       \def\@evenhead{}%
       \def\@oddhead{}
       }
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  End Page styles  %%%%%%%%%%%%%%%%%%%%%%%%
%
\newcommand\bibXhead[1]{%
\bibitem{}%
\vspace*{-16.2pt}
\bibXHead{#1}}
%
\newcommand\bibyhead[1]{%
\bibitem{}%
\bibYHead{#1}}
%
\newcommand\bibzhead[1]{%
\bibitem{}%
\bibZHead{#1}\vskip1pt}
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  Bibliography Section   %%%%%%%%%%%%%%%%%%
%
\newdimen\bibindent
\newdimen\bibleftmargin
\newdimen\bibitemsep
\newdimen\bibparsep
\newdimen\bibtext
\newdimen\biblabelsep
\newdimen\bibleftmargini
%
%%%%% TRUE FOR CHAPTER TITLE AND FALSE FOR SECTION TITLE %%%%%%%%
\newif\ifbibchapter
\global\bibchaptertrue
%%%%%%%% Unnumberd References %%%%%%%%%%%
\setlength\bibleftmargin  {0pt}
\setlength\bibitemsep  {0pt}
\setlength\bibparsep  {0pt}
%%%%%%%% Numbered Within Squre Bracket %%%%%%%%%%%
\newif\ifnumsqure
\global\numsqurefalse
\setlength\biblabelsep  {0pt}
\setlength\bibleftmargini  {0pt}
%%%%%%%% Numbered With Dot %%%%%%%%%%%%%%%
%
\newenvironment{bibliotext}{\vspace*{-4.5pt}\par%
\parindent0pt
\leftmargin0pt
\itemindent0pt%
\item[]%
\bibliofont\advance\leftskip-18pt%
}{\par\vspace*{11pt}}
%
\setlength\bibtext  {0pt}
%
\def\subtitle#1{\gdef\@subtitle{#1}}\subtitle{}
%
%


%
%
%
%
%
\newcommand\newblock{}
\let\@openbib@code\@empty

%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  End Bibliography Section %%%%%%%%%%%%%%%%
%
%
\let\l@table\l@figure
%
\def\qtrhead#1{\thispagestyle{empty}{\vspace*{119pt}%
{\fontfamily{\sfdefault}\fontsize{14}{18}\selectfont\leftskip4pc\rightskip0pc plus1fill%
\noindent{#1\par}}
}}
%
%
\def\qtrfont{\fontsize{9}{11}\selectfont\leftskip4pc\rightskip6pc}
\def\sqtrfont{\fontfamily{\sfdefault}\fontsize{10}{14}\selectfont\leftskip4pc}
%
\newenvironment{halfTitle}{\thispagestyle{empty}\par%
%\noindent
\parindent9pt\qtrfont%
}{
\par}
%
\newenvironment{shalfTitle}{\thispagestyle{empty}\par%
%\noindent
\parindent0pt\sqtrfont%
}{
\par\vskip13pt}
%
\def\fmserfont{\fontsize{8}{10}\selectfont\leftskip4pc\rightskip0pt plus1fill}
%
\newenvironment{Series}{\vspace*{1.3pt}\thispagestyle{empty}\par%
\noindent\fmserfont%
}{
\par}
%
\def\fmsertfont{\fontfamily{\sfdefault}\fontsize{12.5}{42}\selectfont\leftskip4pc\rightskip-60pt plus1fill}
%
\newenvironment{Seriest}{\thispagestyle{empty}\par%
\noindent\fmsertfont%
}{
\par}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  End FM  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  Appendix  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
\newcommand\appendix{\cleardoublepage\appendixtrue\par
  \setcounter{chapter}{0}%
  \setcounter{section}{0}%
  \setcounter{subsubsection}{0}%
  \renewcommand\@chapapp{\appendixname}%
  \renewcommand\thechapter{\Alph{chapter}}
  }
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% End Appendix %%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%
% johny 05/03/03 start
\newif\ifwithintabular\withintabularfalse
%\usepackage{TBdcolumn}
%\newcolumntype{.}{D{.}{.}{10}}
%\newcolumntype{,}{D{,}{,}{-1}}
%\newcolumntype{(}{D{(}{}{-1}}
%
%\usepackage{cuted,stfloats}
%
% johny 05/03/03 end
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  Index  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
\def\alphabet#1{{\bf#1}\par\vskip.5\baselineskip}
%
\newenvironment{indextext}{\par\vskip2pt%
\hsize\textwidth\linewidth\textwidth\indexfont\rightskip0pt%
}{\par\vskip\baselineskip}
%
\def\alphabet#1{{\bf#1}\par\vskip.5\baselineskip}
%
\newif\iflocindex%
\global\locindexfalse%
%
%
\newenvironment{theindex}[1][\relax]{\par\indextrue\pagestyle{fmbmheadings}\backmattertrue\clearpage\thispagestyle{plain}%
      \columnseprule \z@
     \tempdimen\normalbaselineskip
      \advance\tempdimen-\baselineskip\advance\tempdimen5.3pt
      \if#1\relax%%\global\locindexfalse%
      \columnsep 12\p@
      \twocolumn[\@makeschapterhead{\indexname}\vskip\tempdimen]%
      \chaptermark{\indexname}%
      %\RunningTitles{\indexname}
      %\RunningTitles{\indexname}
      \let\item\@newidxitem
      \else
      \columnsep 12\p@
%%      \global\locindextrue
      \twocolumn[\@makeschapterhead{#1}\vskip\tempdimen]%
      \chaptermark{#1}%
      %\RunningTitles{#1}
      %\RunningTitles{#1}
        \let\item\@idxitem 
        \let\subitem\newsubitem
      \let\subsubitem\newsubsubitem
      \fi
      \indexfont\parindent\z@
}{%
      \par\global\locindexfalse\global\indexfalse}
\newcommand\@idxitem  {\par\hangindent1em}
\newcommand\subitem   {\par\hangindent2em\hspace*{1em}}
\newcommand\subsubitem{\par\hangindent3em\hspace*{2em}}
\newcommand\@newidxitem  {\par\hangindent2em}
\newcommand\newsubitem   {\par\hangindent1em\hspace*{1em}}
\newcommand\newsubsubitem{\par\hangindent1em\hspace*{2em}}
\newcommand\indexspace{\par \vskip1\baselineskip}
%
%
%
%%%%%%%%%%%%%%%%%%%% File Version  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%
\def\document{\endgroup
  \ifx\@unusedoptionlist\@empty\else
    \@latex@warning@no@line{Unused global option(s):^^J%
            \@spaces[\@unusedoptionlist]}%
  \fi
  \@colht\textheight
  \@colroom\textheight \vsize\textheight
  \columnwidth\textwidth
  \@clubpenalty\clubpenalty
  \if@twocolumn
    \advance\columnwidth -\columnsep
    \divide\columnwidth\tw@ \hsize\columnwidth \@firstcolumntrue
  \fi
  \hsize\columnwidth \linewidth\hsize
  \begingroup\@floatplacement\@dblfloatplacement
    \makeatletter\let\@writefile\@gobbletwo
    \global \let \@multiplelabels \relax
    \@input{\jobname.aux}%
  \endgroup
  \if@filesw
     \immediate\openout\@mainaux=\jobname.aux
     \iffigatend
     \immediate\openout\@mainfigures=\jobname.fff
     \fi
     \immediate\openout\@mainnotes=\jobname.not
%     \immediate\openout\@mainextaux=\jobname.extaux
     \immediate\write\@mainaux{\relax}
  \fi
  \process@table
  \let\glb@currsize\@empty  %% Force math initialization.
  \normalsize
  \everypar{}%
  \ifx\normalsfcodes\@empty
    \ifnum\sfcode`\.=\@m
      \let\normalsfcodes\frenchspacing
    \else
      \let\normalsfcodes\nonfrenchspacing
    \fi
  \fi
  \@noskipsecfalse
  \let \@refundefined \relax
  \let\AtBeginDocument\@firstofone
  \@begindocumenthook
  \ifdim\topskip<1sp\global\topskip 1sp\relax\fi
  \global\@maxdepth\maxdepth
  \global\let\@begindocumenthook\@undefined
  \ifx\@listfiles\@undefined
    \global\let\@filelist\relax
    \global\let\@addtofilelist\@gobble
  \fi
  \gdef\do##1{\global\let ##1\@notprerr}%
  \@preamblecmds
  \global\let \@nodocument \relax
  \global\let\do\noexpand
  \ignorespaces
\@normalsize\everypar{}}
%
\ifprinter
  \def\draftnote{}
  \def\comment{}
  \def\Qauthor#1{}
   \def\QtoAuthor#1{}
   \def\QtoClient#1{}
   \def\QtoQC#1{}
   \def\QtoGL#1{}
   \def\qtoa#1{}
\else
   \ifnoquery
   \def\draftnote{\vbox to 0pt{\vskip-24pt%%%%%%
   \hbox{\ \footnotesize}}%
   \hbox{\ \footnotesize\jobtag\qquad\vphantom{p69q}\today\qquad\currenttime\qquad \hphantom{pq}Char Count= \@TotalChars
   \@questionmark\hfil}}%
     \def\comment{}
     \def\Qauthor#1{}
     \def\QtoAuthor#1{}
     \def\QtoClient#1{}
     \def\QtoQC#1{}
     \def\QtoGL#1{}
     \def\qtoa#1{}
   \else
\def\draftnote{\vbox to 0pt{\vskip-12pt%%%%for trim -12pt
   \hbox{\ \footnotesize}}%
   \hbox{\ \footnotesize\vphantom{p69q}\jobtag\qquad\today\qquad\currenttime
   \@questionmark\hfil}}%
   \def\Qauthor#1{\marginpar{{\raggedright\footnotesize\bf #1\endgraf}}}
\fi\fi
\let\qtoa\Qauthor
%
%%%%%%%%%%%%%%%%%%%% Character count  %%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%
%
\def\graytwtycolor#1{\special{color push cmyk 0 0 0 0.2}#1\special{color pop}}
%
\def\graythtycolor#1{\special{color push cmyk 0 0 0 0.3}#1\special{color pop}}
%
%                 
\def\@questionmark{}
\def\questionmark#1{\xdef\@questionmark{#1}}%
%
%
\def\endpage#1{\gdef\@endpage{#1}}\endpage{}
%
\def\enddocument{%
   \@checkend{document}%
   \@enddocumenthook%
%    
%       
%           
   \clearpage
   \begingroup
     \if@filesw
       \immediate\closeout\@mainaux
       \immediate\closeout\@mainnotes
       \let\@setckpt\@gobbletwo
       \let\@newl@bel\@testdef
       \@tempswafalse
       \makeatletter\input\jobname.aux
     \fi
     \@dofilelist
     \ifdim \font@submax >\fontsubfuzz\relax
       \@font@warning{Size substitutions with differences\MessageBreak
                  up to \font@submax\space have occured.\@gobbletwo}%
     \fi
     \@defaultsubs
     \@refundefined
     \if@filesw
       \ifx \@multiplelabels \relax
         \if@tempswa
           \@latex@warning@no@line{Label(s) may have changed.
               Rerun to get cross-references right}%
         \fi
       \else
         \@multiplelabels
       \fi
     \fi
   \endgroup
   \deadcycles\z@\@@end}
%
%
%%%%%%%%%%%%%%%%%%%%%%% contact sty %%%%%%%%%%%%%%%%%%%%%%%%%%%
%
\newdimen\tempdim
\newdimen\presentfigwidth
\newdimen\oldfigwidth
\newdimen\remainingtextwidth
%
\def\cropmarks{\nointerlineskip\vbox to 0pt{\offinterlineskip\vss
  \hbox to \trimwidth{\vbox to 0pt{\draftnote}\hfill}}}%

\def\croprules{%
		\nointerlineskip\vbox to 0pt{\offinterlineskip
  \vskip4pt\cropmarks
		\vskip\topmargin
  \hbox to \trimwidth{\hskip\@themargin\hbox to \textwidth{\hss%
  																				\vrule height0pt depth\typeheight width.1pt%
  																				\vrule height.1pt depth0pt width\textwidth
																				  \vrule height0pt depth\typeheight width.1pt\hss}}%
  \hbox to \trimwidth{\hskip\@themargin\hbox to \textwidth{\hss%
  																				\vrule height.1pt depth0pt width\textwidth\hss}\hss}
}}
%
\gdef\@placewidthart{}
%
\figwidth0pt
\figheight0pt
%
\def\authorname{}
\def\jobno{}
\def\chapno{}
%
\def\changeh#1.#2pt{}
%

%%%%%%%%%%%%%%%%%%% End File Version %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Trimmarks  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
\def\trimmarks{%
  \vbox to 0pt{%
     \vskip-25pt\parindent0pt
     \draftnote\offinterlineskip}%
  \ifdraft
    \vbox to 0pt{\hsize\trimwidth\offinterlineskip
    \parindent0pt\leftskip0pt\rightskip0pt
    \fboxsep0pt\fboxrule\draftrule
    \fbox{\vbox{\vskip\trimheight\hskip\trimwidth}}}%
%
    \vbox to 0pt{\hsize\trimwidth\offinterlineskip
    \parindent0pt\leftskip0pt\rightskip0pt
    \vbox to \trimheight{\offinterlineskip\parindent0pt
    \hbox to \trimwidth{\vbox to 2pc{\vskip-3.5pc\hbox{\vrule height2pc width\trimrule}}\raisebox{2pc}{\hbox{\hskip-3.5pc\vrule width2pc height\trimrule}}\hfill
      \raisebox{2pc}{\vrule width2pc height\trimrule\hskip-3.75pc}
      \vbox to 2pc{\vskip-3.5pc\hbox{\vrule height2pc width\trimrule}}%
    }\vfill
    \hbox to \trimwidth{\hbox{\hskip-3.5pc\vrule height\trimrule width2pc}\vbox to 3pc{\vspace*{4.5pc}\hbox{\hskip1.5pc\vrule width\trimrule height2pc}}\hfill
    \vbox to 3.5pc{\vskip5pc\hbox{\vrule height2pc width\trimrule}}\rlap{\hskip1.5pc\vrule width2pc height\trimrule}}}}%
%    
  \else
    \vbox to 0pt{\hsize\trimwidth\offinterlineskip
    \parindent0pt\leftskip0pt\rightskip0pt
    \vbox to \trimheight{\offinterlineskip\parindent0pt
%    \ifregistermark
%    \vbox to 0pt{\vspace*{-43.35pt}\hbox to \trimwidth{\hss\epsfbox{\ArtDir logo-02.eps}\hss}}
%    \fi
    \hbox to \trimwidth{\vbox to 2pc{\vskip-3.5pc\hbox{\vrule height2pc width\trimrule}}\raisebox{2pc}{\hbox{\hskip-3.5pc\vrule width2pc height\trimrule}}\hfill
      \raisebox{2pc}{\vrule width2pc height\trimrule\hskip-3.75pc}
            \vbox to 2pc{\vskip-3.5pc\hbox{\vrule height2pc width\trimrule}}%
    }\vfill
%     \ifregistermark{\hbox to \trimwidth{\hskip-43pt\epsfbox{\ArtDir logo-01.eps}\hfill\epsfbox{\ArtDir logo-01.eps}\hskip-43pt}}\fi
    \vfill
    \hbox to \trimwidth{\hbox{\hskip-3.5pc\vrule height\trimrule width2pc}%
    \vbox to 3pc{\vspace*{4.5pc}\hbox{\hskip1.5pc\vrule width\trimrule height2pc}}\hfill
    \vbox to 3.5pc{\vskip5pc\hbox{\vrule height2pc width\trimrule}}\rlap{\hskip1.5pc\vrule width2pc height\trimrule}}
%    \ifregistermark\vbox to 0pt{\vspace*{18.15pt}\hbox to \trimwidth{\hss\epsfbox{\ArtDir logo-02.eps}\hss}}\fi
}}
\fi
\insidedraftrules}
%
\def\insidedraftrules{\vbox to 0pt{%
  \offinterlineskip\parindent0pt
  \vskip \topmargin
  \tempdimen\normaltextheight
  \advance\tempdimen\headheight
  \advance\tempdimen\headsep
  \moveright\@themargin
  \vbox{\vbox to 0pt{\vskip\headheight\vskip\headsep
   \vrule height\draftrule width\textwidth}
   \hbox{\fboxsep0pt\fboxrule\draftrule
        \fbox{\vbox to \tempdimen
                    {\hsize\textwidth\hskip\textwidth}}}}}}%
%
%
\def\insidedraftrules{\overfullrule0pt%
   \iffloutsidemargin
   %  \addtolength\evensidemargin{-\colmargin}
     \addtolength\oddsidemargin{0pt}
   \fi
   \ifflinsidemargin
     \addtolength\evensidemargin{-\colmargin}
     \addtolength\oddsidemargin{\colmargin}
   \fi
     \ifflinsidetexttypewidthsep
        \addtolength\oddsidemargin{\texttypewidthsep}
        \addtolength\evensidemargin{-\texttypewidthsep}
     \fi
   \ifflleftsidemargin
     \addtolength\oddsidemargin{\colmargin}
   \fi
   \ifflleftsidetexttypewidthsep
     \addtolength\oddsidemargin{\texttypewidthsep}
   \fi
   \ifflrightsidemargin
     \addtolength\evensidemargin{-\colmargin}
   \fi
   \ifflrightsidetexttypewidthsep
     \addtolength\evensidemargin{-\texttypewidthsep}
   \fi
\vbox to 0pt{%
  \offinterlineskip\parindent0pt
  \vskip \topmargin
  \tempdimen\normaltextheight
  \advance\tempdimen\headheight
  \advance\tempdimen\headsep
  \advance\tempdimen-0.4pt
  \moveright\@themargin
      \ifodd\c@page
         \hbox to \textwidth{\hss\hbox to \typewidth{%
         \vbox to \tempdimen{\hrule height\draftrule
         \vbox to 0pt{\vskip\headheight\vskip\headsep%\vskip-6pt
                \hbox{\vrule height\draftrule width\typewidth}}%
         \hbox to \typewidth{\vrule width\draftrule
         \hfill\vrule height\tempdimen width\draftrule\hskip-.05pt%
      \iffloutsidetexttypewidthsep%
         \hskip\texttypewidthsep\vrule height\tempdimen width\draftrule\hskip-.3pt%
      \fi%
      \iffloutsidemargin%
        \hskip\colmargin\vrule height\tempdimen width\draftrule\hskip-.05pt%
      \fi%
      \ifflinsidetexttypewidthsep%
         \hskip\texttypewidthsep\vrule height\tempdimen width\draftrule%
      \fi%
      \ifflinsidemargin%
         \hskip\textwidth\hskip-.5pt\vrule height\tempdimen width\draftrule\hskip-.03pt%
      \fi%
      \ifflleftsidetexttypewidthsep%
         \hskip\texttypewidthsep\hskip0pt\vrule height\tempdimen width\draftrule%
      \fi%
      \ifflleftsidemargin%
         \hskip\textwidth\hskip-.5pt\vrule height\tempdimen width\draftrule\hskip-.05pt%
      \fi%
      \ifflrightsidetexttypewidthsep%
         \hskip\texttypewidthsep\vrule height\tempdimen width\draftrule\hskip-.5pt%
      \fi%
      \ifflrightsidemargin%
         \hskip\colmargin\vrule height\tempdimen width\draftrule\hskip-.05pt%
      \fi%
         }%
         \hrule height\draftrule}}%
      \iffloutsidemargin%
        \hskip-\colmargin%
      \fi%
      \iffloutsidetexttypewidthsep%
        \hskip-\texttypewidthsep%
      \fi%
      \ifflinsidemargin%
%        \hskip-\colmargin%
      \fi%
      \ifflleftsidemargin%
%        \hskip-\colmargin%
      \fi%
      \ifflrightsidemargin%
        \hskip-\colmargin%
      \fi%
      \ifflrightsidetexttypewidthsep%
        \hskip-\texttypewidthsep%
      \fi%
         }%
\else%
         \hbox to \textwidth{\hss\hbox to \typewidth{%
         \vbox to \tempdimen{\hrule height\draftrule%
         \vbox to 0pt{\vskip\headheight\vskip\headsep%\vskip-6pt
                \hbox{\vrule height\draftrule width\typewidth}}%
         \hbox to \typewidth{\vrule width\draftrule%
         \hfill\vrule height\tempdimen width\draftrule\hskip-.05pt%
     \iffloutsidetexttypewidthsep%
        \hskip\texttypewidthsep\vrule height\tempdimen width\draftrule%
     \fi%
     \iffloutsidemargin%
        \hskip\textwidth\hskip-.5pt\vrule height\tempdimen width\draftrule\hskip-.05pt%
     \fi%
     \ifflinsidetexttypewidthsep%
        \hskip\texttypewidthsep\vrule height\tempdimen width\draftrule%
     \fi%
     \ifflinsidemargin%
        \hskip\colmargin\ifflinsidetexttypewidthsep\hskip-.3pt\fi\vrule height\tempdimen width\draftrule\hskip-.05pt%
     \fi%
     \ifflleftsidetexttypewidthsep%
        \hskip\texttypewidthsep\hskip0pt\vrule height\tempdimen width\draftrule%
     \fi%
     \ifflleftsidemargin%
        \hskip\textwidth\hskip-.5pt\vrule height\tempdimen width\draftrule\hskip-.05pt%
     \fi%
     \ifflrightsidetexttypewidthsep%
        \hskip\texttypewidthsep\vrule height\tempdimen width\draftrule\hskip-.5pt%
     \fi%
     \ifflrightsidemargin%
        \hskip\colmargin\vrule height\tempdimen width\draftrule\hskip-.05pt%
     \fi%
        }%
         \hrule height\draftrule}}%
      \iffloutsidemargin%
%        \hskip-\colmargin%
      \fi%
      \ifflinsidemargin%
        \hskip-\colmargin%
      \fi%
      \ifflinsidetexttypewidthsep
         \hskip-\texttypewidthsep%
      \fi
      \ifflleftsidemargin%
%        \hskip-\colmargin%
      \fi%
      \ifflrightsidemargin%
        \hskip-\colmargin%
      \fi%
      \ifflrightsidetexttypewidthsep%
        \hskip-\texttypewidthsep%
      \fi%
     }%
      \fi}}%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% End Trimmarks  %%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Output Routine  %%%%%%%%%%%%%%%%%%%%%%%%%%
%
\def\@outputpage{%\resetlinenumber%
\begingroup           % the \endgroup is put in by \aftergroup
  \let \protect \noexpand
  \@resetactivechars
  \@parboxrestore
  \shipout \vbox{%
    \set@typeset@protect
    \aftergroup \endgroup
    \aftergroup \set@typeset@protect
                                % correct? or just restore by ending
                                % the group?
  \if@specialpage
    \global\@specialpagefalse\@nameuse{ps@\@specialstyle}%
  \fi
  \if@twoside
    \ifodd\count\z@ \let\@thehead\@oddhead \let\@thefoot\@oddfoot
         \let\@themargin\oddsidemargin
    \else \let\@thehead\@evenhead
       \let\@thefoot\@evenfoot \let\@themargin\evensidemargin
    \fi
  \fi
  \reset@font
  \normalsize
  \normalsfcodes
  \let\label\@gobble
  \let\index\@gobble
  \let\glossary\@gobble

  \baselineskip\z@skip \lineskip\z@skip \lineskiplimit\z@
    \@begindvi\trimmarks
    \vskip \topmargin
    \moveright\@themargin \vbox {%
      \setbox\@tempboxa \vbox to\headheight{%
        \vfil
        \color@hbox
          \normalcolor
          \hb@xt@\textwidth{\expandafter\@thehead}%
        \color@endbox
        }%                        %% 22 Feb 87
      \dp\@tempboxa \z@
      \box\@tempboxa
      \vskip \headsep
      \box\@outputbox
      \baselineskip \footskip
      \color@hbox
        \normalcolor
        \hb@xt@\textwidth{\@thefoot}%
      \color@endbox
      }%
    }%
  \global \@colht \textheight
  \stepcounter{page}%
  \let\firstmark\botmark
  \ifodd\c@page
     \ifspreadlong\global\spreadlongfalse
     \enlargethispage{\@spreadlong}\fi
  \fi
}
%
%%%%%%%%%%%%%%%%%%%%%%%% Misc. %%%%%%%%%%%%%%%%%%%%%%%
%
\def\@@@@question#1#2#3{\hbox to \hsize{\hfill%
                   \rlap{\hskip\marginparsep\hskip#3%
                         \vbox to 0pt{\vskip#1\hsize\marginparwidth%
                                      \footnotesize%
                                      \raggedright#2\endgraf\vss}}}}%

\def\@question{\@ifnextchar[{\@@question}{\@@question[0pt]}}%
\def\@@question[#1]#2{\@ifnextchar[{\@@@question{#1}{#2}}{\@@@question{#1}{#2}[0pt]}}%
\def\@@@question#1#2[#3]{\ifvmode%
                    \@@@@question{#1}{#2}{#3}%
                 \else%
                     \vadjust{\vbox to 0pt{%
                     \vskip-7.5pt\@@@@question{#1}{#2}{#3}\vskip7.5pt}}%
                 \fi}%
%
\def\QtoAuthor#1{\@question{{\bf Author:\ #1}}}
\def\QtoClient#1{\@question{{\bf Client/PM:\ #1}}}
\def\QtoQC#1{\@question{{\bf QC:\ #1}}}
\def\QtoGL#1{\@question{{\bf GL:\ #1}}}
\def\Query#1#2#3{\leavevmode\@question[#1]{#2}[#3]}%
\def\Comment#1#2#3{\leavevmode\@question[#1]{\tiny\baselineskip7pt#2\endgraf}[#3]}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% End Output Routine  %%%%%%%%%%%%%%%%%%%%%%
%
\newif\ifspreadlong
\def\spreadlong#1{\ifodd\c@page\wlog{Ignoring spreadlong}
                  \else
                     \spreadlongtrue\gdef\@spreadlong{#1}%
                     \enlargethispage{#1}%
                  \fi}
% check specs and enable one or both of these commands
\def\leaflong#1{\enlargethispage{#1}}
%
%%%%%%%%%%%%%%%%%%%%%%%%% XML Initialization %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%johny 05/03/03 start

\def\chapterinitial#1{%
    \setbox\tempbox\hbox{\fontsize{75}{80}\selectfont\bfseries#1\hskip1.5pt}%
    \tempdimen\hsize
    \advance\tempdimen-\wd\tempbox
    \parshape 5 \wd\tempbox  \tempdimen \wd\tempbox  \tempdimen \wd\tempbox  \tempdimen \wd\tempbox  \tempdimen 0pt \hsize
    \noindent\hskip-\wd\tempbox\vbox to\z@{\hsize\wd\tempbox\vspace*{-9pt}\box\tempbox}\ignorespaces}
%
\def\@rowsep{\iffootnote-2.5pt\else\ifexample0pt\else\ifboxenv4pt\else\ifdisplay4.6pt\else0pt\fi\fi\fi\fi}%-10pt}% space betw'n rows
\def\@duoListrowsep{-\normalbaselineskip}% space betw'n rows in duoList tabletype
%
\def\EmailAddress#1{#1}
\def\TableHeading#1{{\bfseries#1}\\}
\def\TableSep{\\\\}% space between two table within one tabular
\def\CopyrightLines#1{\gdef\@creditline{#1}}\CopyrightLines{}

%
\def\fmtitle#1{\par\vspace*{104.5pt}\thispagestyle{empty}\noindent%
{\fontfamily{\sfdefault}\fontsize{26}{26}\selectfont\leftskip46.2pt#1\par%\vskip-11pt
%{\noindent\hskip2pt\Color{\grayehty\vrule height6pt width75.5pt}\par\vskip25pt}
}}
%
\def\fmsubtitle#1{\noindent{\fontfamily{\sfdefault}\fontsize{18}{21}\selectfont\leftskip4pc#1\par\vskip-6pt
{\noindent{\graythtycolor{\vrule height6pt width258.5pt}}\par\vskip38pt}
}}
%
%
\def\fmauthor#1{\noindent{\fontsize{13}{16}\selectfont\capstrkshape\leftskip4pc#1\par}}
\def\fmeditor#1{\noindent{\fontsize{8}{16}\selectfont\itshape\leftskip4pc#1\par}}
\def\fmlogo#1{\hspace*{93pt}\leftline{\epsfxsize10.5pc\epsfbox{#1}}}
%
\def\copyrtpage#1{\noindent{\fontsize{8}{11}\selectfont\rightskip0pt plus1fill#1\par}}
%
\def\indentry#1#2#3{\setbox\tempbox\hbox{\footnotesize#2}\Query{#3}{\smash{\special{color push}\special{color cmyk 0 0 0 0.3}\vrule height1.3\ht\tempbox width\wd\tempbox depth4pt\special{color pop}\llap{\special{color push}\special{color cmyk 0 0 0 1.0}#2\special{color pop}}}}{0pt}%
               \special{color push}\special{color rgb 1.0 0 0}#1\special{color pop}}%
%
\def\citegraybox#1#2#3{}%\Query{#1}{\smash{\fbox{\footnotesize\sf#2}}}{#3}\ignorespaces}%
%%%\def\citegraybox#1#2#3{\setbox0\hbox{\smash{\fboxrule.1pt\fboxsep1pt\fbox{\scriptsize\sf#2}}}\hbox to\z@{\raisebox{-.35\baselineskip}{\kern-\wd0\box0}}\ignorespaces}%
%
\def\floatgraybox#1{}%
%                 \llap{\smash{\fbox{\footnotesize\sf#1}}\quad}}
%
\def\refgraybox#1{}%
%                 \llap{\smash{\fbox{\footnotesize\sf#1}}\hskip3.25pc}}
%
\let\cellfont\tablefont
%
%\newenvironment{Dialogue}{\par}{\par}
\def\extdialogentry#1{\hspace*{-20pt}#1}
%
\newdimen\dialwd%
\newdimen\dialdim%
\newdimen\extdialwd%
\newdimen\extdialdim%
%
\def\extdialoguefont{\fontsize{10}{11}\selectfont\leftskip20pt}
%
\newenvironment{extDialogue}[1][\relax]{\par%
  \ifx#1\relax
  \else
  \setbox\tempbox\hbox{\fontsize{10}{11}\selectfont#1}%
  \dialdim\hsize%
  \global\advance\extdialdim-\wd\tempbox%
  \let\source\extdialsource%
  \fi
  \extdialoguefont\parindent0pt%
}{%
  \par}
%
%\def\extdialsource#1{\hbox to \textwidth{\hfill\ptysourcefont#1\hspace*{\extdialdim}}}%\ifnotes\addvspace{3.5pt plus2pt}\else\addvspace{5.8pt plus1pt}\fi} %\advance\ptydim202.2pt\leftskip\ptydim\advance\ptydim-240pt\rightskip\ptydim
\def\extdialsource#1{{#1}}%\ifnotes\addvspace{3.5pt plus2pt}\else\addvspace{5.8pt plus1pt}\fi} %\advance\ptydim202.2pt\leftskip\ptydim\advance\ptydim-240pt\rightskip\ptydim
%
\def\dialoguefont{\fontsize{10}{11}\selectfont}
%
\def\dialogentry#1{\noindent\hspace*{10pt}\hangindent20pt#1}
%
\newenvironment{Dialogue}[1][\relax]{\par\addvspace{7pt plus2pt}%
\reset@font\parindent0pt\ignorespaces%
  \ifx#1\relax
  \dialdim0pt%
  \else
  \setbox\tempbox\hbox{\fontsize{10}{11}\selectfont#1}%
  \ifdim\wd\tempbox>22pc
  \dialdim2pc%
  \else
  \dialdim\hsize%
  \advance\dialdim-\wd\tempbox%
  \global\divide\dialdim by 2%
  \fi
  \let\source\dialsource%
  \fi
  \dialoguefont\leftskip\dialdim\rightskip\dialdim plus1fill\hspace*{-10pt}%
}{%
  \par\addvspace{5.5pt plus2pt}}
%
\def\dialsource#1{\hbox to \textwidth{\hfill\ptysourcefont#1\hspace*{\dialdim}}}%\ifnotes\addvspace{3.5pt plus2pt}\else\addvspace{5.8pt plus1pt}\fi} %\advance\ptydim202.2pt\leftskip\ptydim\advance\ptydim-240pt\rightskip\ptydim
%
%
\newif\ifnotesatendofbook\notesatendofbookfalse
%
%%%%%%%%%%%%%%%%%%



%%%%%%%%%%%%%%%%%%
%
\def\getBIBNUM#1{%
     \expandafter\getstring#1\@}
%
\def\getstring #1#2#3#4#5#6#7#8\@{\gdef\@@getstr{#4#5#6}}
\def\getptstring #1#2#3#4#5#6#7#8\@{\gdef\@@getstr{#5#6#7}}
%c01not001
\def\getNOTNUM#1{%
     \expandafter\getnotstring#1\@}
%
\def\getnotstring #1#2#3#4#5#6#7\@{\gdef\@@getnotstr{#4#5#6}}
%
\newenvironment{tableNote}{\begin{tabnote}}{\end{tabnote}}
%
\newif\iffirstboxdial\firstboxdialfalse
%
\iffrontmatter
\newenvironment{dialogue}{\par\vskip0pt%
  \labelrightalignfalse%
\abovelistskipi0pt
  \belowlistskipi0pt
  \abovelistskipii0pt% plus2pt
  \belowlistskipii0pt% plus2pt
 \listlabelleftskip0pt
 \labelsepi31.3pt
  \itemsepi0pt
  \def\listfont{\rightskip0pt plus1fill}
  \def\theenumi{\arabic{enumi}}
  \def\theenumii{\arabic{enumii}}%
  \def\theenumiii{\arabic{enumiii}}%
  \def\theenumiv{\arabic{enumiv}}%
  \renewcommand\labelenumii{(\theenumii)}
  \begin{enumerate}%
}{%
  \vphantom{q}\end{enumerate}\global\firstboxdialfalse}
\else
\newenvironment{dialogue}{%
  \abovelistskipi6pt plus2pt
  \belowlistskipi12pt plus2pt
  \abovelistskipii0pt% plus2pt
  \belowlistskipii0pt% plus2pt
%  
%      
%      
%  
\ifbiblio
       \listlabelleftskip-1.7pt
       \labelsepi6.3pt
\else
       \listlabelleftskip18pt
       \labelsepi8pt
       \fi
%  \fi
  \itemsepi0pt
  \ifbiblio
  \def\listfont{\fontsize{9}{11}\selectfont}
  \def\listdevicefonti{\fontsize{9}{11}\selectfont}
  \else
  \def\listfont{\rightskip.5pc}
  \fi
  \def\theenumi{\arabic{enumi}}
  \def\theenumii{\arabic{enumii}}%
  \def\theenumiii{\arabic{enumiii}}%
  \def\theenumiv{\arabic{enumiv}}%
  \renewcommand\labelenumii{(\theenumii)}
  \begin{enumerate}%
}{%
  \vphantom{q}\end{enumerate}\global\firstboxdialfalse\global\bibliofalse}
\fi
%
\newif\ifwithinboxenv\withinboxenvfalse
\newif\ifsitfigure\sitfigurefalse
\newif\ifboxtext\boxtextfalse
\newbox\listabox
\newdimen\listdimen
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newif\ifnocaption\global\nocaptionfalse%
%
%
\def\Enlarge#1{\gdef\@enlarge{#1}}
\def\@enlarge{0pt}
%
%
\def\boxfont{\fontsize{9.5}{12}\selectfont\leftskip6pt\rightskip6pt plus1fill}%
%
\def\topboxcolor#1{\par\clearpage\vspace*{-18.3pt}\setlength\overfullrule{0pt}\Color{\grayten\vbox to .8pt{\noindent\hskip-6pt\vrule width\typewidth height#1}}\par\enlargethispage{\@enlarge}\def\@enlarge{0pt}}
\def\midboxcolor#1{\par\setlength\overfullrule{0pt}\Color{\grayten\vbox to .8pt{\noindent\hskip-6pt\vrule width\typewidth height#1}}\par\vspace*{-18pt}\addvspace{.001pt plus2pt}}
%
\newenvironment{boxenv}[1][\hskip28.75pc]{\par\global\nocaptiontrue\boxenvtrue\boxtexttrue\firstboxdialtrue\parindent0pt%\par%
\hsize\typewidth
    \let\arabiclist\boxarabiclist%
    \let\unnumlist\boxunnumlist
    \let\endunnumlist\endboxunnumlist
    \let\alphalist\boxalphalist%
    \let\bulletlist\boxbulletlist%
    \let\endarabiclist\endboxarabiclist%
    \let\endalphalist\endboxalphalist%
    \let\endbulletlist\endboxbulletlist%
    \let\section\boxsection%
    \let\subsection\boxsubsection%
    \let\table\Table
    \let\endtable\endTable
    \boxfont%
}{\par\addvspace{10.5pt plus2pt}\global\boxenvfalse\def\@enlarge{0pt}\global\nocaptionfalse}
%
%
%%%%%%%%%%%%%%%%%%%%%% Initialization  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
\medmuskip=4mu 
\thickmuskip=5mu 
%
\iffrontmatter
\pagestyle{fmbmheadings}
\else
\ifseriespage
\pagestyle{empty}
\else
\pagestyle{headings}
\fi\fi
\iffrontmatter
\pagenumbering{roman}
\else
\pagenumbering{arabic}      % Arabic page numbers
\fi

\newenvironment{thebibliography}[1]
     {\bibliofont%
     \chapter*{Bibliography}
     \makespchaptertitle\vspace*{-5pt}
     \markboth{{\sc bibliography}}{{\sc bibliography}}
     \bibliotrue%
     \setlength\bibleftmargin  {20pt}
 %    \let\section\XHead
%     \let\subsection\YHead
%     \let\subsubsection\ZHead
     \def\@tempa{#1}%
%     \vskip1.5pt
     \ifx\@tempa\@empty
           \bibliofont     						
           \list{}%
           {\labelwidth0pt\labelsep0pt
           \leftmargin18pt%
           \itemindent-18pt%
           \itemsep\bibitemsep
           \parsep\bibparsep
           \usecounter{enumiv}%
           \let\p@enumiv\@empty
           \renewcommand\theenumiv{\arabic{enumiv}}}%
      \else
          \setbox\tempbox\hbox{\@tempa.}
          \tempdimen\wd\tempbox
          \ifnumsqure
          \else
          \def\@biblabel##1{\hbox to \bibtext{\hbox to \tempdimen{\hfill##1.}\hfil}}\fi%
           \list{\@biblabel{\arabic{enumiv}}}%
           {\settowidth\labelwidth{\@biblabel{#1}}%
           \labelsep0pt\leftmargin\labelsep
           \advance\leftmargin\bibtext
          \ifnumsqure
               \advance\leftmargin\bibleftmargini
               \labelsep\biblabelsep\fi
           \itemindent0pt
           \itemsep\bibitemsep
           \parsep\bibparsep
           \usecounter{enumiv}%
           \let\p@enumiv\@empty
           \renewcommand\theenumiv{\arabic{enumiv}}}%
     \fi
     \sloppy\clubpenalty4000\widowpenalty4000%
     \sfcode`\.=\@m}
     {\def\@noitemerr
     {\@latex@warning{Empty `thebibliography' environment}}%
     \endlist\global\bibliofalse}



\newenvironment{thebibliographi}[1]
     {\bibliofont%
     \chapter*{Bibliography}\vspace*{-6pt}
     \makespchaptertitle\vspace*{-5pt}
     \markboth{{B}ibliography}{{B}ibliography}
     \bibliotrue%
     \setlength\bibleftmargin  {20pt}
 %    \let\section\XHead
%     \let\subsection\YHead
%     \let\subsubsection\ZHead
     \def\@tempa{#1}%
%     \vskip1.5pt
     \ifx\@tempa\@empty
           \bibliofont     						
           \list{}%
           {\labelwidth0pt\labelsep0pt
           \leftmargin18pt%
           \itemindent-18pt%
           \itemsep\bibitemsep
           \parsep\bibparsep
           \usecounter{enumiv}%
           \let\p@enumiv\@empty
           \renewcommand\theenumiv{\arabic{enumiv}}}%
      \else
          \setbox\tempbox\hbox{\@tempa.}
          \tempdimen\wd\tempbox
          \ifnumsqure
          \else
          \def\@biblabel##1{\hbox to \bibtext{\hbox to \tempdimen{\hfill##1.}\hfil}}\fi%
           \list{\@biblabel{\arabic{enumiv}}}%
           {\settowidth\labelwidth{\@biblabel{#1}}%
           \labelsep0pt\leftmargin\labelsep
           \advance\leftmargin\bibtext
          \ifnumsqure
               \advance\leftmargin\bibleftmargini
               \labelsep\biblabelsep\fi
           \itemindent0pt
           \itemsep\bibitemsep
           \parsep\bibparsep
           \usecounter{enumiv}%
           \let\p@enumiv\@empty
           \renewcommand\theenumiv{\arabic{enumiv}}}%
     \fi
     \sloppy\clubpenalty4000\widowpenalty4000%
     \sfcode`\.=\@m}
     {\def\@noitemerr
     {\@latex@warning{Empty `thebibliography' environment}}%
     \endlist\global\bibliofalse}



\makeindex
\frenchspacing
\iffinalpdf
   \voffset-6.19pc
   \hoffset-6.03pc
\else
%   
 %  
   \voffset-2.35pc
  \hoffset-1.30pc
\fi
\sloppy
\clubpenalty10000\widowpenalty10000%
%
\def\citepa{\renewcommand\NAT@open{[} \renewcommand\NAT@close{]}}
\def\citepae{\renewcommand\NAT@open{(} \renewcommand\NAT@close{)}}
\endinput
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% End Initialization %%%%%%%%%%%%%%%%%%%%%%%
%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Extras %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% End Extras %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
