from nltk_lite.parse import bracket_parse
tree = bracket_parse('(NP (Adj old) (NP (N men) (Conj and) (N women)))')
tree.draw()                 # doctest: +SKIP

s1 = '(S (NP the policeman) (VP (V saw) (NP (NP the burglar) (PP with a gun))))'
s2 = '(S (NP the policeman) (VP (V saw) (NP the burglar) (PP with a telescope)))'
tree1 = bracket_parse(s1)
tree2 = bracket_parse(s2)

tree1.leaves()

tree1.leaves() == tree2.leaves()

tree1.height() == tree2.height()

from nltk_lite.corpora import ppattach, extract
from pprint import pprint
item = extract(9, ppattach.dictionary('training'))
pprint(item)

from nltk_lite.parse import Tree
tree1 = Tree('NP', ['John'])
print tree1

tree2 = Tree('NP', ['the', 'man'])
print tree2

tree3 = Tree('VP', ['saw', tree2])
tree4 = Tree('S', [tree1, tree3])
print tree4

tree4[1]

tree4[1].node

tree4.leaves()

tree4[1,1,0]

tree3.draw()

from nltk_lite.corpora import treebank, extract
print extract(0, treebank.parsed())

t = extract(0, treebank.parsed())
indent_tree(t)

from nltk_lite.corpora import sinica_treebank, extract
extract(3450, sinica_treebank.parsed()).draw()

print extract(0, treebank.tagged())

from nltk_lite.draw.tree import draw_trees
draw_trees(tree1, tree2, tree3)

      ...                     ...

from nltk_lite.contrib.dependency import DepGraph
dg = DepGraph().read("""Esso	NNP	2	SUB
said	VBD	0	ROOT
the 	DT	5	NMOD
Whiting	NNP	5	NMOD
field	NN	6	SUB
started	VBD	2	VMOD
production	NN	6	OBJ
Tuesday	NNP	6	VMOD""")

tree = dg.deptree()
tree.draw()



from nltk_lite import tokenize
sent = list(tokenize.whitespace("Mary saw Bob"))
rd_parser = parse.RecursiveDescent(grammar)
for p in rd_parser.get_parse_list(sent):
     print p

from nltk_lite import parse
rd_parser = parse.RecursiveDescent(grammar)
sent = list(tokenize.whitespace('Mary saw a dog'))
rd_parser.get_parse_list(sent)

sr_parse = parse.ShiftReduce(grammar, trace=2)
sent = list(tokenize.whitespace('Mary saw a dog'))
sr_parse.parse(sent)

