# Natural Language Toolkit: modal_plot

 from nltk_lite.corpora import brown
 colors = 'rgbcmyk' # red, green, blue, cyan, magenta, yellow, black
 def bar_chart(categories, words, counts):
     "Plot a bar chart showing counts for each word by category"
     import pylab
     ind = pylab.arange(len(words))
     width = 1.0 / (len(categories) + 1)
     bar_groups = []
     for c in range(len(categories)):
         bars = pylab.bar(ind+c*width, counts[categories[c]], width, color=colors[c % len(colors)])
         bar_groups.append(bars)
     pylab.xticks(ind+width, words)
     pylab.legend([b[0] for b in bar_groups], [brown.item_name[c][:18] for c in categories], loc='upper left')
     pylab.ylabel('Frequency')
     pylab.title('Frequency of Six Modal Verbs by Genre')
     pylab.show()

