# Natural Language Toolkit: wordtags

 from nltk_lite.probability import ConditionalFreqDist
 def wordtags(tagged_sents, words):
     "Find the most likely tag for these words in the tagged sentences"
     cfd = ConditionalFreqDist()
     for sent in tagged_sents:
         for (w,t) in sent:
             if w in words:
                 cfd[w].inc(t)   # count the word's tag
     return dict((word, cfd[word].max()) for word in words)

