from nltk_lite.semantics import logic
lp = logic.Parser()
lp.parse(r'(walk x)')

lp.parse(r'\x.(walk x)')

lp.parse('(and p q)')

lp.parse('(p and q)')

lp.parse('and')



lp.parse('(not (p and q))')



e = lp.parse('(and p (not a))')
e

print e

print e.infixify()

from nltk_lite.semantics import logic
lp = logic.Parser()
lp.parse(r'\x.((walk x) and (talk x))')

e = lp.parse(r'(\x.((walk x) and (talk x)) john)')
e

print e.simplify()

print e.simplify().infixify()

from nltk_lite.semantics import *
lp = Parser()
e1 = lp.parse('some x.(P x)')
print e1

e2 = e1.alpha_convert(Variable('z'))
print e2

e1 == e2

e3 = lp.parse('(\P.some x.(P x) \y.(see x y))')
print e3

print e3.simplify()

lp.parse('(walk walk)')

lp.parse('x')

lp.parse('x01')

lp = Parser(constants=['dog', 'walk', 'see'])
lp.parse('walk')

from nltk_lite.semantics import *
cf = CharFun({'d1': CharFun({'d2': True}), 'd2': CharFun({'d1': True})})

cf['d1']

cf['d1']['d2']

cf['not in domain']



m.app(cf,'not in domain')

s = set([('d1', 'd2'), ('d3', 'd4')])
cf = CharFun()
cf.read(s)
cf

cf.tuples()

wrong = set([('d1', 'd2'), ('d2', 'd1', 'd3')])
cf.read(wrong)



unary = set(['d1', 'd2'])
cf.read(unary)
cf

cf = CharFun({'d1' : {'d2': True}, 'd2' : {'d1': True}})
flatten(cf)

cf.domain

val = Valuation({'Fido': 'd1', 'dog': {'d1': True, 'd2': True}})
val['dog']

val['dog']['d1']

setval = [('adam', 'b1'), ('betty', 'g1'),
('girl', set(['g2', 'g1'])), ('boy', set(['b1', 'b2'])),
('see', set([('b1', 'g1'), ('b2', 'g2'), ('g1', 'b1'), ('g2', 'b1')]))]
val = Valuation()
val.read(setval)
print val

val.domain

val.symbols

dom = set(['u1', 'u2', 'u3', 'u4'])
g = Assignment(dom, {'x': 'u1', 'y': 'u2'})
g

print g

Assignment(dom, {'xxx': 'u1', 'y': 'u2'})



Assignment(dom, {'x': 'u5', 'y': 'u2'})



dom = set(['u1', 'u2', 'u3', 'u4'])
g = Assignment(dom, {})
g.add('u1', 'x')

g.add('u1', 'xyz')



g.add('u2', 'x').add('u3', 'y').add('u4', 'x0')

g.add('u5', 'x')



g

g.purge('x')
g

g.purge()
g

dom = val.domain
m = Model(dom, val)
g = Assignment(dom, {})

m.evaluate('all x. ((boy x) implies (not (girl x)))', g)

m.evaluate('(boy adam)', g, trace=2)

m.evaluate('(girl adam)', g, trace=2)

m.evaluate('(walk adam)', g, trace=2)
checking whether 'walk' is an individual variable

m.decompose('((boy adam) and (dog fido))')

AND = {True:  {True: True, 
              False: False},
      False: {True: False, 
              False: False}}

def satisfy(expr, g):
  if parsed(expr) == (op, args):
     if args == (phi, psi):
        val1 = self.satisfy(phi, g)
        val2 = self.satisfy(psi, g)
        return OPS[op][val1][val2]

m.AND[m.evaluate('p', g)][m.evaluate('q', g)]

from nltk_lite.semantics import Model
ops = ['and', 'or', 'implies', 'iff']
pairs = [(p, q) for p in [True,False] for q in [True,False]]
for o in ops:
   print "%8s %8s |  p %s q" % ('p', 'q', o)
   print "-" * 30
   for (p, q) in pairs:
       value = Model.OPS[o][p][q]
       print "%8s %8s | %8s" % (p, q, value)
   print


 elif parsed(expr) == (fun, arg):
     funval = self.satisfy(fun, g)
     argval = self.satisfy(psi, g)
     return app(funval, argval)

dom = val.domain
g = Assignment(dom)
m.evaluate('(see x betty)', g)

g.add('b1', 'x')

m.evaluate('(see x betty)', g)

def satisfiers(expr, var, g):
   candidates = []
   if freevar(var, expr):
       for u in domain:
           g.add(u, var)
           if satisfy(expr, g):
               candidates.append(u)
   return set(candidates)

m.satisfiers('some y.((girl y) and (see x y))', 'x', g)

m.satisfiers('some y.((girl y) and (see y x))', 'x', g)

m.satisfiers('(((girl x) and (boy x)) or (dog x))', 'x', g)

m.satisfiers('((girl x) and ((boy x) or (dog x)))', 'x', g)

  elif parsed(expr) == (binder, body):
     if binder = ('some', var):
        sat = self.satisfiers(body, var, g)
        return len(sat) > 0

    elif binder == ('all', var):
        sat = self.satisfiers(body,var,g)
        return domain.issubset(sat)

m.evaluate(r'\x y. ((see x y) and (see y x))', g)

r = m.evaluate(r"""\x z y. (((see x z) and (see z y)) 
                            and (not (x = y)))""", g)
r.tuples()

sr1 = 'all x.((girl x) implies some z.((dog z) and (chase z x)))'
sr2 = 'some z.((dog z) and all x.((girl x) implies (chase z x)))'

val = Valuation()
v = [('john', 'b1'),
('mary', 'g1'),
('suzie', 'g2'),
('fido', 'd1'),
('tess', 'd2'),
('noosa', 'n'),
('girl', set(['g1', 'g2'])),
('boy', set(['b1', 'b2'])),
('dog', set(['d1', 'd2'])),
('bark', set(['d1', 'd2'])),
('walk', set(['b1', 'g2', 'd1'])),
('chase', set([('b1', 'g1'), ('b2', 'g1'), ('g1', 'd1'), ('g2', 'd2')])),
('see', set([('b1', 'g1'), ('b2', 'd2'), ('g1', 'b1'),
('d2', 'b1'), ('g2', 'n')])),
('in', set([('b1', 'n'), ('b2', 'n'), ('d2', 'n')])),
('with', set([('b1', 'g1'), ('g1', 'b1'), ('d1', 'b1'), ('b1', 'd1')]))]
val.read(v)

dom = val.domain
m = Model(dom, val)
g = Assignment(dom)
fmla1 = '((girl x) implies some y.((dog y) and (chase y x)))'
m.satisfiers(fmla1, 'x', g)



fmla2 = '((dog y) and all x.((girl x) implies (chase y x)))'
m.satisfiers(fmla2, 'y', g)



fmla3 = '((girl y) and all x.((boy x) implies (chase y x)))'
m.satisfiers(fmla3, 'y', g)



from nltk_lite.semantics import *
grammar = GrammarFile.read_file('sem1.cfg')
result  = text_interpret(['a dog barks'], grammar, beta_reduce=0)
(syntree, semrep) = result['a dog barks'][0]
print syntree

print semrep



print semrep.simplify()

print semrep.simplify().infixify()

from nltk_lite.semantics import *
from model0.py import *
grammar = GrammarFile.read_file('sem2.cfg')
sent = 'every boy chases a girl in Noosa'
result = text_evaluate([sent], grammar, m, g)
for (syntree, semrep, value) in result[sent]:
	print "'%s' is %s in Model m\n" % (semrep.infixify(), value)




from nltk_lite.corpora import chat80
chat80.items

concepts = chat80.concepts('city')
concepts

rel = concepts[1].extension
list(rel)[:5]

val = chat80.make_valuation(concepts, read=True)
val['city']['calcutta']

val['country_of']['india']

from nltk_lite.semantics import *
g = Assignment(dom)
m = Model(dom, val)
m.evaluate(r'\x . (population_of x jakarta)', g)

