from nltk_lite.parse import pcfg, pchart
from nltk_lite import tokenize

grammar = pcfg.parse_grammar('''
  NP  -> NNS [0.5] | JJ NNS [0.3] | NP CC NP [0.2]
  NNS -> "men" [0.1] | "women" [0.2] | "children" [0.3] | NNS CC NNS [0.4]
  JJ -> "old" [0.4] | "young" [0.6]
  CC -> "and" [0.9] | "or" [0.1]
  ''')

sent = list(tokenize.whitespace('old men and women'))

inside_parser = pchart.InsideParse(grammar)
longest_parser = pchart.LongestParse(grammar)
beam_parser = pchart.BeamParse(10, grammar)

inside_parser.trace(3)
for tree in inside_parser.get_parse_list(sent):
    print tree
    




